<?php

return array
(
    # 表名
    'name' => 'buy',
    # 显示给用户看的名称
    'lang' => '购买设置',
    'menu' => false,
    'end' => array
    (
        //'update' => 'service/lib/manage.feedback',
        //'insert' => 'service/lib/manage.feedback',
    ),
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            'value'     => Dever::input('where_id')
            //'list'        => true,
        ),

        'info_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '小刊',
            'default'   => '',
            'desc'      => '小刊',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'value'     => Dever::input('search_option_info_id')
        ),

        'buy_score'     => array
        (
            'type'      => 'int-11',
            'name'      => '每购买一本刊获得多少积分',
            'default'   => '20',
            'desc'      => '每购买一本刊获得多少积分',
            'match'     => 'is_numeric',
            //'update'    => 'text',
        ),

        'buy_title'     => array
        (
            'type'      => 'varchar-80',
            'name'      => '购买小刊标题',
            'default'   => '购买小刊获得积分',
            'desc'      => '购买小刊标题',
            'match'     => 'is_string',
            'update'    => 'text',
        ),

        'buy_desc'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '购买小刊介绍',
            'default'   => '每购买一本刊获得20积分',
            'desc'      => '购买小刊介绍',
            'match'     => 'is_string',
            'update'    => 'textarea',
        ),

        'buy_content'       => array
        (
            'type'      => 'text-255',
            'name'      => '购买说明',
            'default'   => "<p>1、购买成功后可直接点击【开始阅读】查看阅读期刊内容；</p>
<p>2、小刊为虚拟商品，如无系统问题，购买后不可退换；</p>
<p>3、每购买一本小刊，可增加20积分；</p>
<p>4、如有其他使用问题可咨询在线客服。</p>",
            'desc'      => '请输入内容',
            'match'     => 'is_string',
            'update'    => 'editor',
            'key'       => 1,
        ),
        
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            //'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (

    ),
);
