<?php

$ios_pay = array
(
	1 => '关闭小程序支付',
	2 => '开启公众号支付',
	3 => '开启小程序支付',
);

$video = array
(
	1 => '显示',
	2 => '不显示',
);

return array
(
	# 表名
	'name' => 'config',
	# 显示给用户看的名称
	'lang' => '基本配置',
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '系统ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'hr1'		=> array
		(
			'name' 		=> '通用设置',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '系统名称',
			'default' 	=> '',
			'desc' 		=> '请输入系统名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),
		
		'info'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '系统介绍',
			'default' 	=> '',
			'desc' 		=> '请输入系统介绍',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),

		'logo'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> 'logo图片',
			'default' 	=> '',
			'desc' 		=> 'logo图片',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'hr2'		=> array
		(
			'name' 		=> '分享设置',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),

		'article_share_name'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '图文详情页分享文字设置',
			'default' 	=> '喜欢就邀请好友一起阅读',
			'desc' 		=> '图文详情页分享文字设置',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'vod_share_name'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '视频详情页分享文字设置',
			'default' 	=> '喜欢就邀请好友一起阅读',
			'desc' 		=> '视频详情页分享文字设置',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'live_share_name'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '直播详情页分享文字设置',
			'default' 	=> '喜欢就邀请好友一起阅读',
			'desc' 		=> '直播详情页分享文字设置',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'hr3'		=> array
		(
			'name' 		=> '小程序支付设置',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),

		'ios_pay'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ios支付设置',
			'default' 	=> '1',
			'desc' 		=> 'ios支付设置',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $ios_pay,
		),

		'ios_pay_pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> 'ios支付引导图-ios支付引导图',
			'default' 	=> '',
			'desc' 		=> 'ios支付引导图',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
			//直接上传到云端
			//'upload'	=> 'qiniu',
			//上传大数据
			//'large' 	=> true,
		),

		'hr4'		=> array
		(
			'name' 		=> '公众号支付设置',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),

		'service_name'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '公众号名称',
			'default' 	=> '',
			'desc' 		=> '公众号名称',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'service_text'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '公众号支付成功时的小程序名称',
			'default' 	=> 'Jstyle精美电子刊',
			'desc' 		=> '公众号支付成功时的小程序名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'hr5'		=> array
		(
			'name' 		=> '视频设置',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),

		'video'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '是否显示视频',
			'default' 	=> '1',
			'desc' 		=> '是否显示视频',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $video,
		),

		'version'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '版本号',
			'default' 	=> '',
			'desc' 		=> '版本号',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'hr6'		=> array
		(
			'name' 		=> 'APP分享内容',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),

		'share_content'		=> array
		(
			'type' 		=> 'varchar-400',
			'name' 		=> 'APP固定分享内容-内容中可以设置变量，{link}为下载链接',
			'default' 	=> '',
			'desc' 		=> 'APP固定分享内容',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'ios_link'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> 'IOS下载链接',
			'default' 	=> '',
			'desc' 		=> 'IOS下载链接',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'android_link'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> 'android下载链接',
			'default' 	=> '',
			'desc' 		=> 'android下载链接',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'default' => array
	(
		'col' => 'name,info,cdate',
		'value' => array
		(
			'"精美时尚内容平台","精美时尚内容平台",' . time(),
		),
	),

	/*
	'alter' => array
	(
		2 => array
		(
			array('update', 'task_id', 'task_id', 'varchar-800  软装任务链接'),
			//array('add', 'config', 'config', 'int-11 1 配置'),
		),
		'version' => 2,
	),
	*/

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
