<?php

namespace Main\Src;

use Dever;
use Main\Lib\Core;

class Content extends Core
{
    /*
    public function del()
    {
        $uid = Dever::input('uid');
        Dever::db('passport/user')->delete($uid);
        $info = Dever::db('passport/wechat')->state(array('uid' => $uid));
        if ($info) {
            foreach ($info as $k => $v) {
                Dever::db('passport/wechat')->delete($v['id']);
            }
        }

        return 'ok';
    }
    */

    public function test()
    {
        $journal = Dever::db('journal/info')->one(8);
        # 发模板消息
        $uid = Dever::input('uid');
        $user = Dever::db('passport/user')->one($uid);
        $wechat = Dever::db('passport/wechat')->one(array('uid' => $uid));

        print_r($wechat);die;
        if ($wechat && Dever::project('wechat_applet')) {
            $send['key'] = 'buy_journal';
            $send['project_id'] = 1;
            $send['touser'] = $wechat['openid'];
            $send['page'] = Dever::config('base')->applet_index . '?scene=' . Dever::login($uid) . ',' . '4,' . $order['product_id'];
            $send['data'] = json_encode(array
            (
                'keyword1' => array('value' => date('Y年m月d日 H:i', $order['cdate'])),
                'keyword2' => array('value' => '购买成功，您获得了 '.$journal['name'].' 的阅读资格！'),
            ));
            $send['form_id'] = Dever::load('act/lib/form')->get($uid, 2);

            if ($send['form_id']) {
                Dever::load('wechat_applet/msg.send', $send);
            }
        }

        # 发短信
        if (isset($user['mobile']) && $user['mobile'] && Dever::project('sms')) {
            $send = array();
            $send['name'] = $journal['name'];
            Dever::load('sms/api.send', 'buy_journal', $user['mobile'], $send);
        }
    }

    # 开屏广告
    public function ad()
    {
        $this->data['push_screen_ad'] = Dever::load('push/lib/data')->get('app_screen_ad', 'APP开屏广告', 1);

        return $this->data;
    }
    
    # 首页精选
    public function home()
    {
        //echo Dever::login(8);die;
        //1 NDY3MmVlOGVsdUxxa2pzNHczckR2TEl1NGFmVmVTd2ItWWhDcDB1T04wdXBDaUpDMl9rRmU4VHM=
        //2 ZTdjNjBHUTY4QUpoZk16QVlZRlg0d3locDFRcll5a3FQcWhFdEo1M1QzaFhmNGhrUlAyTTdGVWc= 
        //9 ZTBiZWN5dW9ublpnSzR2dmlXUUc5MWJJQWk5d3pFQmx0TEp6a0VJVkU4NG5HVTYtcjhFNTdfdnc=
        # 栏目
        //$this->data['push_menu'] = Dever::load('push/lib/data')->get('menu', '头部导航');

        $this->data['menu'] = Dever::db('content/cate')->getAll();

        if ($this->app) {
            # 焦点图
            $this->data['push_focus'] = Dever::load('push/lib/data')->get('app_focus', 'APP精选焦点图');

            # 广告
            $this->data['push_ad'] = Dever::load('push/lib/data')->get('app_ad', 'APP精选广告位');

            # 广告弹窗
            $this->data['push_open_ad'] = Dever::load('push/lib/data')->get('app_open_ad', 'APP精选弹窗广告位');
        } else {
            # 焦点图
            $this->data['push_focus'] = Dever::load('push/lib/data')->get('focus', '精选焦点图');

            # 广告
            $this->data['push_ad'] = Dever::load('push/lib/data')->get('ad', '精选广告位');

            # 广告弹窗
            $this->data['push_open_ad'] = Dever::load('push/lib/data')->get('open_ad', '精选弹窗广告位');
        }
        
        # 开屏广告
        $this->data['push_screen_ad'] = Dever::load('push/lib/data')->get('app_screen_ad', 'APP开屏广告', 1);

        # 推荐位
        $this->data['push_link'] = Dever::load('push/lib/data')->get('link', '精选分类');

        # 精选推荐
        $this->data['push_up'] = Dever::load('push/lib/data')->get('up', '精选推荐');

        $this->news();

        return $this->data;
    }

    # 精选推荐更多
    public function up()
    {
    	$this->data['push_up'] = Dever::load('push/lib/data')->get('up', '精选推荐', 10, true);

    	return $this->data;
    }

    # 下拉更多
    public function news()
    {
    	# 直接从已审核的列表中读取
    	$this->data['news'] = array();

        $cate = Dever::input('menu');
        $where = array();
        if ($cate > 0) {
            $where['cate_id'] = $cate;
        }

        $type = Dever::input('type');
        if ($type > 0) {
            $where['type'] = $type;
        }

        if (checkVersion()->video == 2) {
            $where['type_no'] = 2;
        }

    	$data = Dever::db('audit/data')->getAll($where);
        if ($data) {
            foreach ($data as $k => $v) {
                $data[$k] = $this->content($v);
            }
            $this->data['news'] = $data;
        } else {
            $this->data['news'] = array();
        }

        return $this->data;
    }
}