<?php

$type = array
(
	1 => 'H5',
	//2 => '小程序',
);

return array
(
	# 表名
	'name' => 'link',
	# 显示给用户看的名称
	'lang' => '推广链接管理',
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '名称',
			'default' 	=> '',
			'desc' 		=> '请输入名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'type'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '类型',
			'default' 	=> '1',
			'desc' 		=> '类型',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $type,
			'search'	=> 'select',
			'list'		=> true,
		),

		'link'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '链接或路径-填写完整的h5链接或者小程序路径',
			'default' 	=> '',
			'desc' 		=> '链接或路径',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'manage' => array
	(
		//'delete' => false,
		//'edit' => false,
		# 列表
		'list_button' => array
		(
			//'list' => array('渠道列表', '"info&search_option_link_id={id}&oper_parent=link"'),
		),
	),
);
