-- phpMyAdmin SQL Dump
-- version 4.8.3
-- https://www.phpmyadmin.net/
--
-- 主机： rm-2ze2vvl80xp9t9827.mysql.rds.aliyuncs.com
-- 生成日期： 2018-12-04 10:06:10
-- 服务器版本： 5.7.20-log
-- PHP 版本： 7.1.17

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- 数据库： `wonderful`
--

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_act_comment`
--

CREATE TABLE `wonderful_act_comment` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户名',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '评论类别',
  `data_id` int(11) NOT NULL DEFAULT '0' COMMENT '标题',
  `num_up` int(11) NOT NULL DEFAULT '0' COMMENT '点赞数',
  `content` text COMMENT '内容',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '评论时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_act_invite`
--

CREATE TABLE `wonderful_act_invite` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `source_uid` int(11) NOT NULL DEFAULT '0' COMMENT '邀请者',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '邀请类型',
  `data_id` int(11) NOT NULL DEFAULT '0' COMMENT '标题',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '被邀请者',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_act_like`
--

CREATE TABLE `wonderful_act_like` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户名',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '喜欢类别',
  `data_id` int(11) NOT NULL DEFAULT '0' COMMENT '标题',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '喜欢时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_act_live_comment`
--

CREATE TABLE `wonderful_act_live_comment` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户名',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '评论类别',
  `data_id` int(11) NOT NULL DEFAULT '0' COMMENT '标题',
  `content` text COMMENT '内容',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '评论时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_act_live_note`
--

CREATE TABLE `wonderful_act_live_note` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户名',
  `type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否发送状态提醒-1未发送，2已发送',
  `data_id` int(11) NOT NULL DEFAULT '0' COMMENT '标题',
  `formid` varchar(200) DEFAULT NULL COMMENT 'FORMID',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '提醒时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_act_score`
--

CREATE TABLE `wonderful_act_score` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户名',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '订阅类别',
  `data_id` int(11) NOT NULL DEFAULT '0' COMMENT '标题',
  `user_log_id` int(11) NOT NULL DEFAULT '0' COMMENT '用户积分日志ID',
  `score` int(80) DEFAULT NULL COMMENT '积分',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_act_share`
--

CREATE TABLE `wonderful_act_share` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户名',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '分享类别',
  `data_id` int(11) NOT NULL DEFAULT '0' COMMENT '标题',
  `content` text COMMENT '内容',
  `num` int(11) NOT NULL DEFAULT '0' COMMENT '分享次数',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '分享时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_act_share_reflux`
--

CREATE TABLE `wonderful_act_share_reflux` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `source_uid` int(11) NOT NULL DEFAULT '0' COMMENT '分享者',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '分享类别',
  `data_id` int(11) NOT NULL DEFAULT '0' COMMENT '标题',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '回流用户',
  `user_type` tinyint(1) NOT NULL DEFAULT '3' COMMENT '是否新用户',
  `gid` varchar(80) DEFAULT NULL COMMENT '群组ID',
  `share_id` int(11) NOT NULL DEFAULT '0' COMMENT '分享ID',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_act_subscribe`
--

CREATE TABLE `wonderful_act_subscribe` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户名',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '订阅类别',
  `data_id` int(11) NOT NULL DEFAULT '0' COMMENT '标题',
  `source` tinyint(1) NOT NULL DEFAULT '0' COMMENT '来源',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '喜欢时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_act_watch`
--

CREATE TABLE `wonderful_act_watch` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户名',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类别',
  `data_id` int(11) NOT NULL DEFAULT '0' COMMENT '标题',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '喜欢时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_audit_data`
--

CREATE TABLE `wonderful_audit_data` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `type` int(11) NOT NULL DEFAULT '1' COMMENT '类型',
  `data_id` varchar(80) DEFAULT NULL COMMENT '数据ID',
  `name` varchar(80) DEFAULT NULL COMMENT '标题',
  `audit` int(11) NOT NULL DEFAULT '1' COMMENT '审核状态',
  `pdate` int(11) NOT NULL DEFAULT '0' COMMENT '发布时间',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT '上线状态',
  `cate_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属栏目'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_code_config`
--

CREATE TABLE `wonderful_code_config` (
  `id` int(11) UNSIGNED NOT NULL COMMENT '系统ID',
  `product_id` int(11) NOT NULL DEFAULT '0' COMMENT '选择小刊',
  `num` varchar(32) DEFAULT NULL COMMENT '兑换码数量',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间',
  `product_num` varchar(32) NOT NULL DEFAULT '1' COMMENT '兑换本数'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_code_info`
--

CREATE TABLE `wonderful_code_info` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `product_id` int(11) NOT NULL DEFAULT '0' COMMENT '小刊',
  `code` varchar(32) DEFAULT NULL COMMENT '兑换码',
  `type` int(11) NOT NULL DEFAULT '1' COMMENT '使用状态',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户信息',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `ldate` int(11) NOT NULL DEFAULT '0' COMMENT '领取时间',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '生成时间',
  `product_num` int(11) NOT NULL DEFAULT '1' COMMENT '兑换本数'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_content_article`
--

CREATE TABLE `wonderful_content_article` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(80) DEFAULT NULL COMMENT '标题',
  `cate_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属栏目',
  `author_id` int(11) NOT NULL DEFAULT '1' COMMENT '作者',
  `tag` text COMMENT '标签',
  `pic_cover` varchar(150) DEFAULT NULL COMMENT '封面图-4:3比例的图片',
  `num_add_view` int(11) NOT NULL DEFAULT '0' COMMENT '浏览量基数',
  `num_view` int(11) NOT NULL DEFAULT '0' COMMENT '浏览量PV',
  `num_up` int(11) NOT NULL DEFAULT '0' COMMENT '喜欢数',
  `num_comment` int(11) NOT NULL DEFAULT '0' COMMENT '评论数',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `admin_founder` int(11) NOT NULL DEFAULT '1' COMMENT '创建人',
  `admin_editor` int(11) NOT NULL DEFAULT '1' COMMENT '操作人',
  `pdate` int(11) NOT NULL DEFAULT '0' COMMENT '发布时间',
  `share` text COMMENT '分享海报-选择海报库中的海报',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `udate` int(11) NOT NULL DEFAULT '0' COMMENT '更新时间',
  `content` text COMMENT '内容',
  `audit` int(11) NOT NULL DEFAULT '1' COMMENT '审核状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间',
  `num_add_up` int(11) NOT NULL DEFAULT '0' COMMENT '喜欢基数',
  `function` varchar(100) NOT NULL DEFAULT '1' COMMENT '功能选择',
  `share_yes` int(11) NOT NULL DEFAULT '1' COMMENT '是否显示分享按钮',
  `share_title` varchar(100) NOT NULL COMMENT '分享标题',
  `share_pic` varchar(150) NOT NULL COMMENT '分享图片',
  `share_content` varchar(200) NOT NULL COMMENT '分享内容',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT '发布状态',
  `wechat` int(11) NOT NULL DEFAULT '1' COMMENT '是否公众号文章',
  `wechat_data_id` int(11) NOT NULL DEFAULT '1' COMMENT '微信数据ID',
  `pic_cover_169` varchar(150) NOT NULL COMMENT '16:9封面图-请上传16:9比例的封面图'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_content_author`
--

CREATE TABLE `wonderful_content_author` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(32) DEFAULT NULL COMMENT '作者名称',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_content_cate`
--

CREATE TABLE `wonderful_content_cate` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(32) DEFAULT NULL COMMENT '栏目名称',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_content_cate`
--

INSERT INTO `wonderful_content_cate` (`id`, `name`, `reorder`, `state`, `cdate`) VALUES
(1, '精美', 6, 1, 1542000944),
(2, '视频', 5, 1, 1542002379),
(3, '时尚', 4, 1, 1542447602),
(4, '美妆', 3, 1, 1542447612),
(5, '娱乐', 2, 1, 1542447636),
(6, '音乐', 1, 1, 1542447653),
(7, '生活', 0, 1, 1542447678),
(8, 'test', 1, 2, 1542447688);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_journal_active`
--

CREATE TABLE `wonderful_journal_active` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `info_id` int(11) NOT NULL DEFAULT '0' COMMENT '小刊',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT '活动状态',
  `name` varchar(80) DEFAULT NULL COMMENT '活动标题',
  `start` int(11) NOT NULL DEFAULT '0' COMMENT '活动开始时间',
  `end` int(11) NOT NULL DEFAULT '0' COMMENT '活动结束时间',
  `desc` varchar(800) DEFAULT NULL COMMENT '活动描述',
  `invite_num` int(11) NOT NULL DEFAULT '10' COMMENT '邀请多少个好友开启免费阅读',
  `invite_score` int(11) NOT NULL DEFAULT '2' COMMENT '每邀请一个好友获得积分',
  `invite_title` varchar(80) DEFAULT NULL COMMENT '邀请好友标题',
  `invite_desc` varchar(800) DEFAULT NULL COMMENT '邀请好友标题介绍',
  `content` text COMMENT '活动规则说明',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_journal_buy`
--

CREATE TABLE `wonderful_journal_buy` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `info_id` int(11) NOT NULL DEFAULT '0' COMMENT '小刊',
  `buy_score` int(11) NOT NULL DEFAULT '20' COMMENT '每购买一本刊获得多少积分',
  `buy_title` varchar(80) DEFAULT NULL COMMENT '购买小刊标题',
  `buy_desc` varchar(800) DEFAULT NULL COMMENT '购买小刊介绍',
  `buy_content` text COMMENT '购买说明',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_journal_buy_num`
--

CREATE TABLE `wonderful_journal_buy_num` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `info_id` int(11) NOT NULL DEFAULT '0' COMMENT '小刊',
  `name` varchar(80) DEFAULT NULL COMMENT '购买名称-一般为“购买N本”，如购买1本',
  `price` varchar(50) DEFAULT NULL COMMENT '购买时的标价',
  `cash` varchar(50) DEFAULT NULL COMMENT '支付价格-实际支付价格，单位元，直接填写数字即可',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '添加时间',
  `score` varchar(80) NOT NULL COMMENT '增加积分数-直接填写购买当前本数设置，用户能获得的积分',
  `num` int(11) NOT NULL DEFAULT '1' COMMENT '购买本数-直接填写购买的小刊本数数字即可'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_journal_cate`
--

CREATE TABLE `wonderful_journal_cate` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(32) DEFAULT NULL COMMENT '分类名称',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间',
  `title` varchar(32) NOT NULL COMMENT '页面TITLE-公众号支付中的页面标题',
  `cover` varchar(150) NOT NULL COMMENT '封面图-公众号支付中的封面图，图片尺寸460*759PX或等比尺寸，上传大小不能超过2M，支持JPG、PNG、GIF格式，建议上传JPG格式',
  `logo` varchar(150) NOT NULL COMMENT 'LOGO图-公众号支付中的LOGO图，图片尺寸100*100PX或等比尺寸，上传大小不能超过2M，支持JPG、PNG、GIF格式，建议上传JPG格式',
  `desc` text NOT NULL COMMENT '简介'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_journal_cate`
--

INSERT INTO `wonderful_journal_cate` (`id`, `name`, `reorder`, `state`, `cdate`, `title`, `cover`, `logo`, `desc`) VALUES
(1, 'Jstyle精美', 1, 1, 1543592709, '默认', '{uploadRes}1/2018/12/01/724f243ea0aa1a5da006c822b4131109.jpg', '{uploadRes}1/2018/12/01/cac3f768ba3edd90b4fb64e35d6337c9.jpg', '我的时尚生活');

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_journal_content`
--

CREATE TABLE `wonderful_journal_content` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `info_id` int(11) NOT NULL DEFAULT '0' COMMENT '小刊',
  `type` int(11) NOT NULL DEFAULT '3' COMMENT '类型',
  `name` varchar(80) DEFAULT NULL COMMENT '标题',
  `focus` text COMMENT '焦点图',
  `author_id` int(11) NOT NULL DEFAULT '1' COMMENT '作者',
  `content` text COMMENT '内容',
  `pic` varchar(150) DEFAULT NULL COMMENT '图片',
  `is_button` int(11) NOT NULL DEFAULT '1' COMMENT '是否显示保存按钮',
  `article_id` int(11) NOT NULL DEFAULT '0' COMMENT '关联图文',
  `vod_id` int(11) NOT NULL DEFAULT '0' COMMENT '关联视频',
  `live_id` int(11) NOT NULL DEFAULT '0' COMMENT '关联直播',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '页号',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `button_name` varchar(80) NOT NULL DEFAULT '保存图片' COMMENT '保存按钮文字内容',
  `button_color` varchar(10) NOT NULL DEFAULT '#000000' COMMENT '保存按钮文字颜色',
  `text` text NOT NULL COMMENT '文字设置'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_journal_content_text`
--

CREATE TABLE `wonderful_journal_content_text` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `info_id` int(11) NOT NULL DEFAULT '0' COMMENT '小刊',
  `content_id` int(11) NOT NULL DEFAULT '0' COMMENT '小刊内页',
  `name` varchar(800) DEFAULT NULL COMMENT '文字内容',
  `location` int(11) NOT NULL DEFAULT '1' COMMENT '文字显示位置',
  `color` varchar(10) DEFAULT NULL COMMENT '文字颜色',
  `bgcolor` varchar(10) DEFAULT NULL COMMENT '背景颜色',
  `size` int(11) NOT NULL DEFAULT '16' COMMENT '文字大小-直接输入像素数字',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_journal_info`
--

CREATE TABLE `wonderful_journal_info` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(180) DEFAULT NULL COMMENT '杂志标题',
  `subname` varchar(80) DEFAULT NULL COMMENT '子标题-一般为杂志的期数，如第1期',
  `pic_cover` varchar(150) DEFAULT NULL COMMENT '列表页封面图-4:3比例的图片',
  `pic_view_cover` varchar(150) DEFAULT NULL COMMENT '封面图-1:1比例的图片',
  `pic_view_bg` text COMMENT '全屏背景图-进入小刊阅读页之前的全屏背景图，可以多张切换，尽量保持在5张之内',
  `num_add_ding` int(11) NOT NULL DEFAULT '0' COMMENT '订阅数基数',
  `num_ding` int(11) NOT NULL DEFAULT '0' COMMENT '订阅数',
  `num_add_view` int(11) NOT NULL DEFAULT '0' COMMENT '阅读数基数',
  `num_view` int(11) NOT NULL DEFAULT '0' COMMENT '阅读数',
  `num_up` int(11) NOT NULL DEFAULT '0' COMMENT '喜欢数',
  `num_comment` int(11) NOT NULL DEFAULT '0' COMMENT '评论数',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `audit` int(11) NOT NULL DEFAULT '1' COMMENT '上线状态',
  `admin_founder` int(11) NOT NULL DEFAULT '1' COMMENT '创建人',
  `admin_editor` int(11) NOT NULL DEFAULT '1' COMMENT '操作人',
  `pdate` int(11) NOT NULL DEFAULT '0' COMMENT '发布时间',
  `share` text COMMENT '分享海报-选择海报库中的海报',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `udate` int(11) NOT NULL DEFAULT '0' COMMENT '更新时间',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间',
  `num_add_up` int(11) NOT NULL DEFAULT '0' COMMENT '喜欢基数',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT '上线状态',
  `buy` int(11) NOT NULL DEFAULT '1' COMMENT '小刊是否收费',
  `share_yes` int(11) NOT NULL DEFAULT '1' COMMENT '是否显示分享按钮',
  `share_title` varchar(100) NOT NULL COMMENT '分享标题',
  `share_pic` varchar(150) NOT NULL COMMENT '分享图片',
  `share_content` varchar(200) NOT NULL COMMENT '分享内容',
  `pic_gd` varchar(150) NOT NULL COMMENT '小刊推广图-上传图片比例为750X1128PX',
  `cate_id` int(11) NOT NULL DEFAULT '1' COMMENT '小刊分类',
  `cash` varchar(50) NOT NULL COMMENT '单本支付价格-实际的小刊单本支付价格，单位元，直接填写数字即可',
  `score` varchar(80) NOT NULL DEFAULT '20' COMMENT '购买增加积分数-直接填写购买单本小刊的积分数，设置之后，积分规则里的设置将失效，如果设置为0，则按照积分规则进行增加积分',
  `dh_score` varchar(80) NOT NULL DEFAULT '20' COMMENT '兑换增加积分数-直接填写兑换单本小刊的积分数，设置之后，积分规则里的设置将失效，如果设置为0，则按照积分规则进行增加积分'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_journal_order`
--

CREATE TABLE `wonderful_journal_order` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `order_id` varchar(100) DEFAULT NULL COMMENT '订单ID',
  `name` varchar(80) DEFAULT NULL COMMENT '订单名称',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `product_id` int(11) NOT NULL DEFAULT '0' COMMENT '小刊',
  `type` int(11) NOT NULL DEFAULT '1' COMMENT '支付方式',
  `notice` int(11) NOT NULL DEFAULT '0' COMMENT '模板消息提醒次数',
  `cash` varchar(50) DEFAULT NULL COMMENT '支付金额',
  `code` varchar(50) DEFAULT NULL COMMENT '使用的兑换码',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '订单状态',
  `tk_time` int(11) NOT NULL DEFAULT '0' COMMENT '退款时间',
  `tk_admin` int(11) NOT NULL DEFAULT '1' COMMENT '退款审核人',
  `tk_desc` varchar(300) DEFAULT NULL COMMENT '退款备注',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '下单时间',
  `info` varchar(300) DEFAULT NULL COMMENT '备注',
  `mobile` varchar(300) DEFAULT NULL COMMENT '手机号',
  `source_uid` int(11) NOT NULL COMMENT '邀请人',
  `buy_id` int(11) NOT NULL COMMENT '购买本数'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_live_active`
--

CREATE TABLE `wonderful_live_active` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(300) DEFAULT NULL COMMENT '活动名称',
  `live_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属直播云',
  `status` int(11) NOT NULL DEFAULT '2' COMMENT '上线状态',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_live_info`
--

CREATE TABLE `wonderful_live_info` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(300) DEFAULT NULL COMMENT '配置名称',
  `type` int(11) NOT NULL DEFAULT '1' COMMENT '所属云',
  `space` varchar(300) DEFAULT NULL COMMENT '云空间名-请提前建好云空间，后续会迭代优化，增加云空间的创建和更新，本版本暂时使用已经创建好的云空间',
  `appkey` varchar(80) DEFAULT NULL COMMENT 'APPKEY',
  `appsecret` varchar(200) DEFAULT NULL COMMENT 'APPSECRET',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `domain_publish` varchar(200) NOT NULL COMMENT '推流域名',
  `domain_live_rtmp` varchar(200) NOT NULL COMMENT '高清直播域名',
  `domain_live_hls` varchar(200) NOT NULL COMMENT '标清直播域名',
  `domain_live_hdl` varchar(200) NOT NULL COMMENT '普清直播域名',
  `domain_live_pic` varchar(200) NOT NULL COMMENT '直播截图域名',
  `host` varchar(800) NOT NULL COMMENT '存储空间域名'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_live_info`
--

INSERT INTO `wonderful_live_info` (`id`, `name`, `type`, `space`, `appkey`, `appsecret`, `state`, `cdate`, `domain_publish`, `domain_live_rtmp`, `domain_live_hls`, `domain_live_hdl`, `domain_live_pic`, `host`) VALUES
(1, '七牛云', 1, 'jstylezhibo', 'GYeUlvzvJdJ5qZKg6gP_bdgV6eXEiRqFQDB6x6pI', 'oAkB8PBEwephCigdApKSM3sPvXvEPLYcuioXh09Z', 1, 1542001040, 'pili-publish.jstyle.cn', 'pili-live-rtmp.jstyle.cn', 'pili-live-hls.jstyle.cn', 'pili-live-hdl.jstyle.cn', 'pili-live-snapshot.jstyle.cn', 'http://7.jstyle.cn/');

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_live_stream`
--

CREATE TABLE `wonderful_live_stream` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `live_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属直播云',
  `active_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属活动',
  `name` varchar(300) DEFAULT NULL COMMENT '流名称',
  `key` varchar(300) DEFAULT NULL COMMENT '流标识-流标识在直播空间中唯一，可包含 字母、数字、中划线、下划线；1 ~ 200 个字符长，对应云上的流名称。\r\n',
  `times` varchar(30) DEFAULT NULL COMMENT '直播时长-直接输入小时数，默认为100天',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT '流状态',
  `live_date` int(11) NOT NULL DEFAULT '0' COMMENT '上次获取推流地址的时间',
  `live` varchar(800) DEFAULT NULL COMMENT '推流地址',
  `url_rtmp` varchar(800) DEFAULT NULL COMMENT '高清地址',
  `url_hls` varchar(800) DEFAULT NULL COMMENT '标清地址',
  `url_hdl` varchar(800) DEFAULT NULL COMMENT '普清地址',
  `url_pic` varchar(800) DEFAULT NULL COMMENT '直播截图地址',
  `info` text COMMENT '直播信息',
  `disabled` int(11) NOT NULL DEFAULT '1' COMMENT '禁播流',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_live_stream_ios_log`
--

CREATE TABLE `wonderful_live_stream_ios_log` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `live_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属直播云',
  `active_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属活动',
  `stream_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属直播流',
  `sdate` int(11) NOT NULL DEFAULT '0' COMMENT '开始时间',
  `edate` int(11) NOT NULL DEFAULT '0' COMMENT '结束时间',
  `url_m3u8` varchar(800) DEFAULT NULL COMMENT '直播回放地址',
  `url_mp4` varchar(800) DEFAULT NULL COMMENT '直播回放地址',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_live_stream_log`
--

CREATE TABLE `wonderful_live_stream_log` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `live_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属直播云',
  `active_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属活动',
  `stream_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属直播流',
  `sdate` int(11) NOT NULL DEFAULT '0' COMMENT '开始时间',
  `edate` int(11) NOT NULL DEFAULT '0' COMMENT '结束时间',
  `url_m3u8` varchar(800) DEFAULT NULL COMMENT '直播回放地址',
  `url_mp4` varchar(800) DEFAULT NULL COMMENT '直播回放地址',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_main_config`
--

CREATE TABLE `wonderful_main_config` (
  `id` int(11) UNSIGNED NOT NULL COMMENT '系统ID',
  `name` varchar(32) DEFAULT NULL COMMENT '系统名称',
  `info` text COMMENT '系统介绍',
  `logo` varchar(150) DEFAULT NULL COMMENT 'LOGO图片',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间',
  `article_share_name` varchar(100) NOT NULL DEFAULT '喜欢就邀请好友一起阅读' COMMENT '图文详情页分享文字设置',
  `vod_share_name` varchar(100) NOT NULL DEFAULT '喜欢就邀请好友一起阅读' COMMENT '视频详情页分享文字设置',
  `live_share_name` varchar(100) NOT NULL DEFAULT '喜欢就邀请好友一起阅读' COMMENT '直播详情页分享文字设置',
  `ios_pay` int(11) NOT NULL DEFAULT '1' COMMENT 'IOS支付设置',
  `ios_pay_pic` varchar(150) NOT NULL COMMENT 'IOS支付引导图-IOS支付引导图',
  `service_name` varchar(100) NOT NULL COMMENT '公众号名称',
  `service_text` varchar(100) NOT NULL DEFAULT 'JSTYLE精美电子刊' COMMENT '公众号支付成功时的小程序名称'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_main_config`
--

INSERT INTO `wonderful_main_config` (`id`, `name`, `info`, `logo`, `cdate`, `article_share_name`, `vod_share_name`, `live_share_name`, `ios_pay`, `ios_pay_pic`, `service_name`, `service_text`) VALUES
(1, 'Jstyle精美', '风格，灵感，态度，JSTYLE 精美——我的时尚指南', '', 1542006576, '喜欢就邀请好友一起阅读', '喜欢就邀请好友一起看', '喜欢就邀请好友一起看', 2, '{uploadRes}1/2018/12/01/7488e6a0f2a822cdbe0a2f6058121cbe.jpg', 'jstylecn', 'JSTYLE精美');

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_manage_admin`
--

CREATE TABLE `wonderful_manage_admin` (
  `id` int(11) UNSIGNED NOT NULL COMMENT '管理员ID',
  `username` varchar(24) DEFAULT NULL COMMENT '管理员名',
  `email` varchar(150) DEFAULT NULL COMMENT '邮箱-可用于登录，请准确填写，不允许重复',
  `mobile` varchar(32) DEFAULT NULL COMMENT '手机号',
  `password` varchar(64) DEFAULT NULL COMMENT '管理员密码',
  `config` int(11) NOT NULL DEFAULT '1' COMMENT '后台配置',
  `role` varchar(100) DEFAULT NULL COMMENT '角色',
  `group` int(11) NOT NULL DEFAULT '1' COMMENT '分组',
  `top` text COMMENT '头部菜单-这里的头部菜单如果设置，则会覆盖角色中的头部菜单',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '数据状态',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_manage_admin`
--

INSERT INTO `wonderful_manage_admin` (`id`, `username`, `email`, `mobile`, `password`, `config`, `role`, `group`, `top`, `state`, `status`, `cdate`) VALUES
(1, 'admin@admin.com', 'admin@admin.com', NULL, '8d969eef6ecad3c29a3a629280e686cf0c3f5d5a86aff3ca12020c923adc6c92', 1, '1', 1, NULL, 1, 1, 1542000852),
(2, '孟', 'mengyu@meixiaokan.com', '18712331230', '8d969eef6ecad3c29a3a629280e686cf0c3f5d5a86aff3ca12020c923adc6c92', 1, '3', 1, NULL, 1, 2, 1542459209);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_manage_admin_role`
--

CREATE TABLE `wonderful_manage_admin_role` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `admin_id` int(11) NOT NULL DEFAULT '0' COMMENT '管理员ID',
  `role_id` int(11) NOT NULL DEFAULT '0' COMMENT '角色ID',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_manage_auth`
--

CREATE TABLE `wonderful_manage_auth` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `project` varchar(50) DEFAULT NULL COMMENT '项目KEY',
  `project_name` varchar(50) DEFAULT NULL COMMENT '项目名',
  `name` varchar(50) DEFAULT NULL COMMENT '权限名',
  `auth_id` int(11) NOT NULL DEFAULT '-1' COMMENT '上级权限',
  `key` varchar(100) DEFAULT NULL COMMENT '权限KEY',
  `value` varchar(30) DEFAULT NULL COMMENT '对应的值',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_manage_config`
--

CREATE TABLE `wonderful_manage_config` (
  `id` int(11) UNSIGNED NOT NULL COMMENT '配置ID',
  `name` varchar(32) DEFAULT NULL COMMENT '配置名',
  `template` int(1) NOT NULL DEFAULT '1' COMMENT '后台模板',
  `title` varchar(32) DEFAULT NULL COMMENT '后台TITLE',
  `info` varchar(40) DEFAULT NULL COMMENT '控制台欢迎标题',
  `content` text COMMENT '控制台欢迎内容',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_manage_config`
--

INSERT INTO `wonderful_manage_config` (`id`, `name`, `template`, `title`, `info`, `content`, `state`, `cdate`) VALUES
(1, '默认配置', 1, '精美时尚', '', '', 1, 1542000853);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_manage_cron`
--

CREATE TABLE `wonderful_manage_cron` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(32) DEFAULT NULL COMMENT '任务名',
  `project` varchar(30) DEFAULT NULL COMMENT '项目',
  `interface` varchar(100) DEFAULT NULL COMMENT '接口（命令行）',
  `ldate` int(11) NOT NULL DEFAULT '0' COMMENT '执行时间',
  `time` int(11) NOT NULL DEFAULT '0' COMMENT '时间间隔(为0则执行一次)',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_manage_cron`
--

INSERT INTO `wonderful_manage_cron` (`id`, `name`, `project`, `interface`, `ldate`, `time`, `state`, `cdate`) VALUES
(1, '定时获取直播流状态', 'live', 'lib/cron.getStream', 1543889941, 3000, 1, 1542106471),
(2, '定时获取公众号数据', 'spider', 'lib/get.wechat', 1543890237, 1000, 1, 1542592606),
(3, '获取回放地址', 'live', 'lib/cron.getUrl', 1543890104, 800, 1, 1542698116);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_manage_group`
--

CREATE TABLE `wonderful_manage_group` (
  `id` int(11) UNSIGNED NOT NULL COMMENT '组ID',
  `name` varchar(50) DEFAULT NULL COMMENT '组名称',
  `area` varchar(255) DEFAULT NULL COMMENT '区域',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_manage_group`
--

INSERT INTO `wonderful_manage_group` (`id`, `name`, `area`, `state`, `cdate`) VALUES
(1, '平台运营部', NULL, 1, 1542000853),
(2, '内容制作部', NULL, 1, 1542459460),
(3, '产品技术部', NULL, 1, 1542592716),
(4, '市场部', NULL, 1, 1542592725),
(5, '销售部', NULL, 1, 1542702771),
(6, '人行财法部', NULL, 1, 1542702821),
(7, '管理部', NULL, 1, 1542702863),
(8, '产品技术', NULL, 2, 1542702877);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_manage_log`
--

CREATE TABLE `wonderful_manage_log` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `project` varchar(32) DEFAULT NULL COMMENT '项目名',
  `table` varchar(32) DEFAULT NULL COMMENT '项目下的表名',
  `info` longtext COMMENT '日志记录',
  `admin` int(11) NOT NULL DEFAULT '0' COMMENT '操作人',
  `tid` int(11) NOT NULL DEFAULT '0' COMMENT '来源表ID',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '操作时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_manage_menu`
--

CREATE TABLE `wonderful_manage_menu` (
  `id` int(11) UNSIGNED NOT NULL COMMENT '菜单ID',
  `name` varchar(50) DEFAULT NULL COMMENT '菜单名称',
  `menu_id` int(11) NOT NULL DEFAULT '-1' COMMENT '上级菜单',
  `key` varchar(100) DEFAULT NULL COMMENT '菜单唯一KEY',
  `link` varchar(150) DEFAULT NULL COMMENT '链接(或路径)',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `type` tinyint(1) NOT NULL DEFAULT '2' COMMENT '开启子菜单',
  `icon` varchar(100) DEFAULT NULL COMMENT '图标代码-请<A HREF="HTTPS://WWW.LAYUI.COM/DOC/ELEMENT/ICON.HTML" TARGET="_BLANK">点此</A>查看图标代码',
  `fast` tinyint(1) NOT NULL DEFAULT '2' COMMENT '是否快捷菜单',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_manage_menu`
--

INSERT INTO `wonderful_manage_menu` (`id`, `name`, `menu_id`, `key`, `link`, `reorder`, `type`, `icon`, `fast`, `state`, `cdate`) VALUES
(1, '主页', -1, 'console', 'console:主页', 10000, 2, 'layui-icon-home', 2, 1, 1542000853),
(2, '控制台', 1, 'console.index', 'http://www.huoxingkandiqiu.com/wonderful/manage/?l=console', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000853),
(3, '后台设置', -1, 'manage', '/share/lib/php/dever_package/manage/:后台设置', -100, 2, 'glyphicon glyphicon-wrench layui-icon-set-sm', 2, 1, 1542000853),
(4, '管理账户设置', 3, 'manage.admin', 'project/database/list?project=manage&table=admin&menu=manage&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000853),
(5, '后台个性化', 3, 'manage.config', 'project/database/list?project=manage&table=config&menu=manage&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000853),
(6, '计划任务', 3, 'manage.cron', 'project/database/list?project=manage&table=cron&menu=manage&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000853),
(7, '管理组设置', 3, 'manage.group', 'project/database/list?project=manage&table=group&menu=manage&search_option_state=1', 8, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000853),
(8, '管理操作日志', 3, 'manage.log', 'project/database/list?project=manage&table=log&menu=manage&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000853),
(9, '管理菜单设置', 3, 'manage.menu', 'project/database/list?project=manage&table=menu&menu=manage&search_option_state=1', 2, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000853),
(10, '后台公告管理', 3, 'manage.notice', 'project/database/list?project=manage&table=notice&menu=manage&search_option_state=1', 7, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000853),
(11, '字段记录表', 3, 'manage.opt', 'project/database/list?project=manage&table=opt&menu=manage&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000853),
(12, '管理角色设置', 3, 'manage.role', 'project/database/list?project=manage&table=role&menu=manage&search_option_state=1', 8, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000853),
(13, '内容管理', -1, 'content', '/www/wonderful/content/:内容管理', 200, 2, 'glyphicon glyphicon-tower layui-icon-tabs', 2, 1, 1542000873),
(14, '图文管理', 13, 'content.article', 'project/database/list?project=content&table=article&menu=content&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000873),
(15, '作者管理', 13, 'content.author', 'project/database/list?project=content&table=author&menu=content&search_option_state=1', 8, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000873),
(16, '栏目设置', 13, 'content.cate', 'project/database/list?project=content&table=cate&menu=content&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000873),
(17, '管理推荐位', -1, 'push', '/www/wonderful/push/:管理推荐位', 199, 2, 'glyphicon glyphicon-tower layui-icon-template-1', 2, 1, 1542000876),
(18, '推送数据管理', 17, 'push.data', 'project/database/list?project=push&table=data&menu=push&search_option_state=1&search_option_info_id=1', 20, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000876),
(19, '推荐位置管理', 17, 'push.info', 'project/database/list?project=push&table=info&menu=push&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000876),
(20, '小刊', -1, 'journal', '/www/wonderful/journal/:小刊', 190, 2, 'glyphicon glyphicon-tower layui-icon-cellphone-fine', 2, 1, 1542000878),
(21, '小刊管理', 20, 'journal.info', 'project/database/list?project=journal&table=info&menu=journal&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000878),
(22, '订单管理', 20, 'journal.order', 'project/database/list?project=journal&table=order&menu=journal&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000878),
(23, '互动管理', -1, 'act', '/www/wonderful/act/:互动管理', 199, 2, 'glyphicon glyphicon-tower layui-icon-theme', 2, 1, 1542000888),
(24, '评论管理', 23, 'act.comment', 'project/database/list?project=act&table=comment&menu=act&search_option_state=1', 80, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000888),
(25, '喜欢日志', 23, 'act.like', 'project/database/list?project=act&table=like&menu=act&search_option_state=1', 79, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000888),
(26, '直播留言管理', 23, 'act.live_comment', 'project/database/list?project=act&table=live_comment&menu=act&search_option_state=1', 70, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000888),
(27, '分享日志', 23, 'act.share', 'project/database/list?project=act&table=share&menu=act&search_option_state=1', 78, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000888),
(28, '审核管理', 13, 'content.audit.data', 'project/database/list?project=audit&table=data&menu=content&search_option_state=1', 7, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000890),
(29, '直播管理', -1, 'live', '/www/wonderful/live/:直播管理', 194, 2, 'glyphicon glyphicon-tower layui-icon-camera', 2, 2, 1542000907),
(30, '直播云配置', 32, 'live.info', 'project/database/list?project=live&table=info&menu=live&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000907),
(31, '直播流管理', 32, 'live.stream', 'project/database/list?project=live&table=stream&menu=live&search_option_state=1', 2, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000907),
(32, '视频与直播', -1, 'video', '/www/wonderful/video/:视频与直播', 195, 2, 'glyphicon glyphicon-tower layui-icon-video', 2, 1, 1542000909),
(33, '直播视频管理', 32, 'video.live', 'project/database/list?project=video&table=live&menu=video&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000909),
(34, '点播视频管理', 32, 'video.vod', 'project/database/list?project=video&table=vod&menu=video&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000909),
(35, '标签管理', -1, 'tag', '/www/wonderful/tag/:标签管理', 199, 2, 'glyphicon glyphicon-tower layui-icon-rate-solid', 2, 2, 1542000914),
(36, '标签分类设置', 13, 'tag.cate', 'project/database/list?project=tag&table=cate&menu=tag&search_option_state=1', 49, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000914),
(37, '标签管理', 13, 'tag.info', 'project/database/list?project=tag&table=info&menu=tag&search_option_state=1', 50, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000914),
(38, '基础设置', -1, 'main', '/www/wonderful/main/:基础设置', 98, 2, 'glyphicon glyphicon-tower layui-icon-component', 2, 2, 1542000926),
(39, '基本配置', 3, 'main.config', 'project/database/list?project=main&table=config&menu=main&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542000926),
(40, '直播活动', 32, 'live.active', 'project/database/list?project=live&table=active&menu=live&search_option_state=1', 20, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542080323),
(41, '兑换码列表', 20, 'journal.code.info', 'project/database/list?project=code&table=info&menu=journal&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542090288),
(42, '用户管理', -1, 'passport', '/share/lib/php/dever_package/passport/:用户管理', -10, 2, 'glyphicon glyphicon-user layui-icon-username', 2, 1, 1542102504),
(43, '等级设置', 42, 'passport.level', 'project/database/list?project=passport&table=level&menu=passport&search_option_state=1', 8, 2, 'glyphicon glyphicon-folder-close', 2, 2, 1542102504),
(44, '用户管理', 42, 'passport.user', 'project/database/list?project=passport&table=user&menu=passport&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542102504),
(45, '直播提醒用户', 23, 'act.live_note', 'project/database/list?project=act&table=live_note&menu=act&search_option_state=1', 69, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542592490),
(46, '合作内容入库', -1, 'spider', '/www/wonderful/spider/:合作内容入库', 100, 2, 'glyphicon glyphicon-tower layui-icon-tree', 2, 1, 1542592490),
(47, '文章列表', 46, 'spider.data', 'project/database/list?project=spider&table=data&menu=spider&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542592490),
(48, '公众号管理', 46, 'spider.wechat', 'project/database/list?project=spider&table=wechat&menu=spider&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542592490),
(49, '订阅日志', 23, 'act.subscribe', 'project/database/list?project=act&table=subscribe&menu=act&search_option_state=1', 68, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542722821),
(50, '消息系统', -1, 'message', '/share/lib/php/dever_package/message/:消息系统', -6, 2, 'glyphicon glyphicon-dashboard layui-icon-senior', 2, 2, 1542722821),
(51, '收件箱', 50, 'message.inbox', 'project/database/list?project=message&table=inbox&menu=message&search_option_state=1', 18, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542722821),
(52, '发件箱', 50, 'message.outbox', 'project/database/list?project=message&table=outbox&menu=message&search_option_state=1', 19, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542722821),
(53, '消息类型', 50, 'message.type', 'project/database/list?project=message&table=type&menu=message&search_option_state=1', 20, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1542722821),
(54, '用户积分列表', 42, 'passport.score.user', 'project/database/list?project=score&table=user&menu=passport&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1543106717),
(55, '用户积分等级', 42, 'passport.score.user_level', 'project/database/list?project=score&table=user_level&menu=passport&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1543106717),
(56, '平台运营设置', -1, 'score', '/www/wonderful/score/:平台运营设置', 1, 2, 'glyphicon glyphicon-credit-card layui-icon-chat', 2, 1, 1543106717),
(57, '用户行为配置', 56, 'score.action', 'project/database/list?project=score&table=action&menu=score&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1543106717),
(58, '积分名称设置', 56, 'score.config', 'project/database/list?project=score&table=config&menu=score&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1543106717),
(59, '积分等级设置', 56, 'score.level', 'project/database/list?project=score&table=level&menu=score&search_option_state=1', 8, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1543106717),
(60, '资源库', -1, 'upload', '/share/lib/php/dever_package/upload/:资源库', -90, 2, 'glyphicon glyphicon-upload layui-icon-picture', 2, 2, 1543226512),
(61, '资源分类', 60, 'upload.cate', 'project/database/list?project=upload&table=cate&menu=upload&search_option_state=1', 99, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1543226512),
(62, '资源列表', 60, 'upload.file', 'project/database/list?project=upload&table=file&menu=upload&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1543226512),
(63, '资源配置', 60, 'upload.upload', 'project/database/list?project=upload&table=upload&menu=upload&search_option_state=1', 100, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1543226512),
(64, '云端配置', 60, 'upload.yun', 'project/database/list?project=upload&table=yun&menu=upload&search_option_state=1', 1, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1543226512),
(65, '海报管理', -1, 'poster', '/share/lib/php/dever_package/poster/:海报管理', -2, 2, 'glyphicon glyphicon-warning-sign layui-icon-template', 2, 2, 1543226512),
(66, '海报模板设置', 56, 'poster.template', 'project/database/list?project=poster&table=template&menu=poster&search_option_state=1', 20, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1543226512),
(67, '小刊分类设置', 20, 'journal.cate', 'project/database/list?project=journal&table=cate&menu=journal&search_option_state=1', 9, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1543714155),
(68, '第三方登录', -1, 'oauth', '/share/lib/php/dever_package/oauth/:第三方登录', 1, 2, 'glyphicon glyphicon-filter layui-icon-group', 2, 2, 1543753702),
(69, '第三方管理', 68, 'oauth.account', 'project/database/list?project=oauth&table=account&menu=oauth&search_option_state=1', 10, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1543753702),
(70, '短信管理', -1, 'sms', '/share/lib/php/dever_package/sms/:短信管理', -10, 2, 'glyphicon glyphicon-list-alt layui-icon-note', 2, 1, 1543889040),
(71, '基本配置', 70, 'sms.config', 'project/database/list?project=sms&table=config&menu=sms&search_option_state=1', 20, 2, 'glyphicon glyphicon-folder-close', 2, 1, 1543889040);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_manage_notice`
--

CREATE TABLE `wonderful_manage_notice` (
  `id` int(11) UNSIGNED NOT NULL COMMENT '公告ID',
  `name` varchar(32) DEFAULT NULL COMMENT '公告标题',
  `config` int(11) NOT NULL DEFAULT '1' COMMENT '后台配置',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `content` text COMMENT '内容',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_manage_opt`
--

CREATE TABLE `wonderful_manage_opt` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `project` varchar(30) DEFAULT NULL COMMENT '项目',
  `table` varchar(30) DEFAULT NULL COMMENT '数据表-请输入表的英文名',
  `method` varchar(32) DEFAULT NULL COMMENT '所属方法名',
  `col` varchar(500) DEFAULT NULL COMMENT '使用的字段',
  `col_index` varchar(500) DEFAULT NULL COMMENT '建立索引的字段',
  `version` int(11) NOT NULL DEFAULT '0' COMMENT '版本号',
  `num` int(11) NOT NULL DEFAULT '0' COMMENT '执行次数',
  `time` varchar(30) DEFAULT NULL COMMENT '执行时间',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否建立索引',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '数据是否存在',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_manage_role`
--

CREATE TABLE `wonderful_manage_role` (
  `id` int(11) UNSIGNED NOT NULL COMMENT '角色ID',
  `name` varchar(24) DEFAULT NULL COMMENT '角色名',
  `role_id` int(11) NOT NULL DEFAULT '-1' COMMENT '上级角色',
  `self` tinyint(1) NOT NULL DEFAULT '2' COMMENT '是否只能管理自己发布的内容-请在需要此项权限的表中增加[数据查询时影响的字段]',
  `col_select` varchar(30) DEFAULT NULL COMMENT '数据查询时影响的字段-该项影响数据查询，如果在表中增加该字段，则后台在查询数据时自动查询当前管理员的ID下的数据，多个用逗号隔开，与[是否只能管理自己发布的内容]相关',
  `col_insert` varchar(30) DEFAULT NULL COMMENT '数据插入时影响的字段-该项影响数据插入，如果在表中增加该字段，则后台操作时自动为该字段赋值为当前管理员的ID，多个用逗号隔开',
  `col_update` varchar(30) DEFAULT NULL COMMENT '数据更新时影响的字段-该项影响数据更新，如果在表中增加该字段，则后台操作时自动为该字段赋值为当前管理员的ID，多个用逗号隔开',
  `oper` varchar(24) DEFAULT NULL COMMENT '操作权限',
  `auth` text COMMENT '左侧菜单',
  `top` text COMMENT '右侧头部菜单',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序-数值越大越靠前',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_manage_role`
--

INSERT INTO `wonderful_manage_role` (`id`, `name`, `role_id`, `self`, `col_select`, `col_insert`, `col_update`, `oper`, `auth`, `top`, `reorder`, `state`, `status`, `cdate`) VALUES
(1, '系统管理员', -1, 2, 'admin_founder', 'admin_founder', 'admin_editor', '1,2,3,4,5', 'all', NULL, 1, 1, 1, 1542000853),
(2, '人事行政', -1, 2, 'admin_founder', 'admin_founder', 'admin_editor', '1,2,3,4', 'console.index,manage.admin,manage.group', NULL, 1, 1, 1, 1542000853),
(3, '内容管理组', -1, 1, 'admin_founder', 'admin_founder', 'admin_editor', '1,2,3,4,5', 'console.index,content.article,tag.info,tag.cate,content.cate,content.author,content.audit.data,video.vod,video.live,live.active,live.stream,journal.info,journal.code.info,0', NULL, 1, 1, 1, 1542459368),
(4, '平台运营管理', -1, 2, 'admin_founder', 'admin_founder', 'admin_editor', '1,2,3,4,5', 'console.index,content.article,tag.info,tag.cate,content.cate,content.author,content.audit.data,act.comment,act.like,act.share,act.live_comment,act.live_note,push.data,push.info,video.vod,video.live,live.active,live.stream,journal.info,journal.code.info,journal.order,spider.data,spider.wechat,passport.user,passport.level,manage.admin,manage.role,manage.group,manage.notice,main.config', NULL, 1, 1, 1, 1542698749),
(5, '产品管理员', -1, 2, 'admin_founder', 'admin_founder', 'admin_editor', '1,2,3,4,5', 'console.index,content.article,tag.info,tag.cate,content.cate,content.author,content.audit.data,act.comment,act.like,act.share,act.live_comment,act.live_note,push.data,push.info,video.vod,video.live,live.active,live.stream,journal.info,journal.code.info,journal.order,spider.data,spider.wechat,passport.user,passport.level,manage.admin,manage.role,manage.group,manage.notice', NULL, 1, 1, 1, 1542703580);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_manage_top`
--

CREATE TABLE `wonderful_manage_top` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(50) DEFAULT NULL COMMENT '权限名',
  `top_id` int(11) NOT NULL DEFAULT '-1' COMMENT '上级权限',
  `key` varchar(100) DEFAULT NULL COMMENT '权限KEY',
  `value` varchar(30) DEFAULT NULL COMMENT '对应的值',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_message_inbox`
--

CREATE TABLE `wonderful_message_inbox` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `oid` int(11) NOT NULL DEFAULT '0' COMMENT '收件ID',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '收件人',
  `from_uid` int(11) NOT NULL DEFAULT '0' COMMENT '发件人',
  `name` varchar(30) DEFAULT NULL COMMENT '发件标题',
  `content` text COMMENT '发件内容',
  `type` int(11) NOT NULL DEFAULT '1' COMMENT '消息类型',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '已读状态',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_message_outbox`
--

CREATE TABLE `wonderful_message_outbox` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `uid` int(11) NOT NULL DEFAULT '-1' COMMENT '发件人',
  `name` varchar(30) DEFAULT NULL COMMENT '发件标题',
  `content` text COMMENT '发件内容',
  `type` int(11) NOT NULL DEFAULT '1' COMMENT '消息类型',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_message_type`
--

CREATE TABLE `wonderful_message_type` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(30) DEFAULT NULL COMMENT '类型名称-类型ID值为10以下则为系统消息',
  `type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '同时推送-暂未实现，实现后将可以同步发送微信、短信、客户端消息等',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_message_type`
--

INSERT INTO `wonderful_message_type` (`id`, `name`, `type`, `state`, `cdate`) VALUES
(1, '系统消息', 1, 1, 1542722855),
(2, '系统通知', 1, 1, 1542722855),
(11, '用户通知', 1, 1, 1542722855);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_oauth_account`
--

CREATE TABLE `wonderful_oauth_account` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(60) DEFAULT NULL COMMENT '账户名称',
  `type` varchar(30) DEFAULT NULL COMMENT '账户类型',
  `appid` varchar(150) DEFAULT NULL COMMENT 'APPID',
  `appsecret` varchar(300) DEFAULT NULL COMMENT 'APPSECRET',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '申请时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_oauth_account`
--

INSERT INTO `wonderful_oauth_account` (`id`, `name`, `type`, `appid`, `appsecret`, `state`, `cdate`) VALUES
(1, '精美服务号', 'wechat', 'wx6f1ed9ba7eba0361', '961b90a6e4ebfe5d13462e17530be9b5', 1, 1543753734);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_passport_app`
--

CREATE TABLE `wonderful_passport_app` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户',
  `source_type` int(11) NOT NULL DEFAULT '1' COMMENT '用户来源',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_passport_code`
--

CREATE TABLE `wonderful_passport_code` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `mobile` varchar(32) DEFAULT NULL COMMENT '手机号',
  `code` varchar(32) DEFAULT NULL COMMENT '验证码',
  `day` int(11) NOT NULL DEFAULT '0' COMMENT '申请时间',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '申请时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_passport_user`
--

CREATE TABLE `wonderful_passport_user` (
  `id` int(11) UNSIGNED NOT NULL COMMENT '用户ID',
  `username` varchar(50) DEFAULT NULL COMMENT '用户名',
  `mobile` varchar(32) DEFAULT NULL COMMENT '手机号',
  `source_type` varchar(100) DEFAULT NULL COMMENT '用户来源',
  `email` varchar(150) DEFAULT NULL COMMENT '邮箱',
  `password` varchar(50) DEFAULT NULL COMMENT '密码',
  `avatar` varchar(150) DEFAULT NULL COMMENT '头像',
  `country` varchar(100) DEFAULT NULL COMMENT '国家',
  `province` varchar(100) DEFAULT NULL COMMENT '省份',
  `city` varchar(100) DEFAULT NULL COMMENT '城市',
  `area` varchar(800) DEFAULT NULL COMMENT '地区',
  `info` varchar(255) DEFAULT NULL COMMENT '介绍-选填,如果想清空该介绍，请输入NULL。',
  `score` varchar(50) DEFAULT NULL COMMENT '积分',
  `sex` tinyint(1) NOT NULL DEFAULT '3' COMMENT '用户性别',
  `level` tinyint(1) NOT NULL DEFAULT '1' COMMENT '用户等级',
  `temp` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否临时用户',
  `login_date` int(11) NOT NULL DEFAULT '0' COMMENT '最近登录',
  `bind` tinyint(1) NOT NULL DEFAULT '2' COMMENT '是否绑定手机',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '注册时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_passport_wechat`
--

CREATE TABLE `wonderful_passport_wechat` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户',
  `type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '类型',
  `openid` varchar(50) DEFAULT NULL COMMENT 'OPENID-微信的唯一用户ID',
  `unionid` varchar(50) DEFAULT NULL COMMENT 'UNIONID-微信的唯一用户ID',
  `session_key` varchar(50) DEFAULT NULL COMMENT 'SESSION_KEY',
  `access_token` varchar(200) DEFAULT NULL COMMENT 'ACCESS_TOKEN',
  `refresh_token` varchar(200) DEFAULT NULL COMMENT 'REFRESH_TOKEN',
  `expires_in` varchar(100) DEFAULT NULL COMMENT 'EXPIRES_IN',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_poster_model`
--

CREATE TABLE `wonderful_poster_model` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `template_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属模板',
  `name` varchar(32) DEFAULT NULL COMMENT '模块名称',
  `key` varchar(32) DEFAULT NULL COMMENT '模块标识-设置模块时，使用该标识来设置模块信息',
  `type` int(11) NOT NULL DEFAULT '1' COMMENT '模块类型',
  `value` varchar(500) DEFAULT NULL COMMENT '模块默认值',
  `position_type` int(11) NOT NULL DEFAULT '8' COMMENT '模块位置',
  `position` varchar(32) DEFAULT NULL COMMENT '模块定位-位置为LEFT,TOP，如100,200',
  `offset` varchar(32) DEFAULT NULL COMMENT '偏移量-偏移位置为LEFT,TOP，如-10,-20',
  `text_width` varchar(11) DEFAULT NULL COMMENT '文字宽度',
  `width` varchar(11) DEFAULT NULL COMMENT '图片宽度',
  `height` varchar(11) DEFAULT NULL COMMENT '图片高度',
  `color` varchar(10) DEFAULT NULL COMMENT '文字颜色',
  `fonts` int(11) NOT NULL DEFAULT '1' COMMENT '字体',
  `size` int(11) NOT NULL DEFAULT '16' COMMENT '文字大小-直接输入像素数字',
  `angle` int(11) NOT NULL DEFAULT '0' COMMENT '角度-直接输入数字',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_poster_model`
--

INSERT INTO `wonderful_poster_model` (`id`, `template_id`, `name`, `key`, `type`, `value`, `position_type`, `position`, `offset`, `text_width`, `width`, `height`, `color`, `fonts`, `size`, `angle`, `state`, `cdate`) VALUES
(1, 1, '标题', 'name', 2, '', 5, '0,0', '10,110', '530', '550', '200', '#000000', 2, 16, 0, 1, 1543226606),
(2, 1, '图片', 'pic', 1, '', 1, '0,0', '0,0', '', '570', '570', '#000000', 1, 16, 0, 1, 1543226637),
(3, 1, '用户名', 'username', 2, '', 8, '60,790', '0,0', '280', '200', '200', '#000000', 1, 16, 0, 1, 1543226681),
(4, 1, 'logo', 'logo', 1, '', 8, '320,700', '0,0', '', '200', '200', '#000000', 1, 16, 0, 1, 1543226699);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_poster_template`
--

CREATE TABLE `wonderful_poster_template` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(32) DEFAULT NULL COMMENT '模板名称',
  `key` varchar(32) DEFAULT NULL COMMENT '模板标识-调用模板时，使用该标识来获取模板信息，相同的模板标识，将随机抽取一条',
  `type` varchar(32) DEFAULT NULL COMMENT '使用的图形库',
  `update` tinyint(1) NOT NULL DEFAULT '2' COMMENT '生成规则',
  `background` varchar(150) DEFAULT NULL COMMENT '模板背景图',
  `pic` varchar(150) DEFAULT NULL COMMENT '模板样例图',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_poster_template`
--

INSERT INTO `wonderful_poster_template` (`id`, `name`, `key`, `type`, `update`, `background`, `pic`, `state`, `cdate`) VALUES
(1, '分享模板', 'share', 'gd', 2, '{uploadRes}1/2018/12/03/647ae4f317dbe5e7e363fefd6f3d56b0.png', '{uploadRes}1/2018/12/03/647ae4f317dbe5e7e363fefd6f3d56b0.png', 1, 1543226568);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_push_data`
--

CREATE TABLE `wonderful_push_data` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `info_id` int(11) NOT NULL DEFAULT '1' COMMENT '推送位',
  `type` int(11) NOT NULL DEFAULT '1' COMMENT '类型',
  `article_id` int(11) NOT NULL DEFAULT '0' COMMENT '关联图文',
  `vod_id` int(11) NOT NULL DEFAULT '0' COMMENT '关联视频',
  `live_id` int(11) NOT NULL DEFAULT '0' COMMENT '关联直播',
  `journal_id` int(11) NOT NULL DEFAULT '0' COMMENT '关联小刊',
  `olink` varchar(400) DEFAULT NULL COMMENT '链接',
  `name` varchar(60) DEFAULT NULL COMMENT '标题-手动干扰项，如想在当前推送位的标题请在此修改',
  `link` varchar(200) DEFAULT NULL COMMENT '链接-手动干扰项，如想在当前推送位的链接请在此修改',
  `pic` varchar(200) DEFAULT NULL COMMENT '图片-手动干扰项，请上传,100X100大小的图片',
  `content` text COMMENT '描述-手动干扰项，字数请不要超过30个汉字，前台展示时会自动过滤',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_push_info`
--

CREATE TABLE `wonderful_push_info` (
  `id` int(11) UNSIGNED NOT NULL COMMENT '推送位ID',
  `name` varchar(60) DEFAULT NULL COMMENT '推送位标题',
  `key` varchar(60) DEFAULT NULL COMMENT '推送位标识',
  `num` int(11) NOT NULL DEFAULT '5' COMMENT '数据总条数-为空或小于0则不限制，只对前台有效',
  `type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '推送位类型',
  `col` varchar(30) DEFAULT NULL COMMENT '启用的字段',
  `col_pic` varchar(20) DEFAULT NULL COMMENT '图片尺寸提醒-请直接输入提醒的文字即可，如100X100',
  `col_content` int(11) NOT NULL DEFAULT '30' COMMENT '内容长度限制-必须是数字',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间',
  `function` varchar(30) NOT NULL DEFAULT '1,2,3,4,10' COMMENT '启用的功能'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_push_info`
--

INSERT INTO `wonderful_push_info` (`id`, `name`, `key`, `num`, `type`, `col`, `col_pic`, `col_content`, `reorder`, `state`, `cdate`, `function`) VALUES
(1, '小刊精选推荐', 'jingxuan', 4, 1, '1,3', '100X100', 30, 1, 1, 1542006490, '4'),
(2, '头部导航', 'menu', 10, 1, '1,3', '100X100', 30, 1, 2, 1542088052, '1,2,3,4,10'),
(3, '精选焦点图', 'focus', 10, 1, '1,3', '750*380px或等比尺寸', 30, 1, 1, 1542088052, '1,2,3,4,10'),
(4, '精选分类', 'link', 10, 1, '1,3', '46*46px', 30, 1, 1, 1542088052, '1,2,3,4,10'),
(5, '精选广告位', 'ad', 10, 1, '1,3', '695*120px或等比尺寸', 30, 1, 1, 1542088052, '1,2,3,4,10'),
(6, '精选推荐', 'up', 10, 1, '1,3', '100X100', 30, 1, 1, 1542088052, '1,2,3,4,10'),
(7, '精选弹窗广告位', 'open_ad', 10, 1, '1,3', '500*630px或等比尺寸', 30, 1, 1, 1542459926, '1,2,3,4,10');

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_score_action`
--

CREATE TABLE `wonderful_score_action` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(80) DEFAULT NULL COMMENT '行为名称',
  `key` varchar(80) DEFAULT NULL COMMENT '行为标识-用于程序中统计积分总数',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_score_action`
--

INSERT INTO `wonderful_score_action` (`id`, `name`, `key`, `state`, `cdate`) VALUES
(1, '浏览图文', 'view_article', 1, 1543106833),
(2, '浏览视频', 'view_vod', 1, 1543106852),
(3, '浏览直播', 'view_live', 1, 1543106864),
(4, '浏览小刊首页', 'view_journal', 1, 1543106917),
(5, '发表评论', 'submit_commit', 1, 1543107084),
(6, '喜欢', 'submit_like', 1, 1543107090),
(7, '邀请好友', 'share_friend', 1, 1543107129),
(8, '通过小刊邀请到新用户', 'share_journal_new_reflux', 1, 1543107197),
(9, '通过小刊邀请到老用户', 'share_journal_reflux', 1, 1543107211),
(10, '手机号注册', 'mobile_reg', 1, 1543107357),
(11, '用户微信授权', 'bind_wechat', 1, 1543107377),
(12, '绑定手机号', 'bind_mobile', 1, 1543107389),
(13, '购买小刊', 'buy_journal', 1, 1543107469),
(14, '阅读小刊', 'read_journal', 1, 1543107508),
(15, '通过图文邀请到新用户', 'share_article_new_reflux', 1, 1543107700),
(16, '通过视频邀请到新用户', 'share_vod_new_reflux', 1, 1543107721),
(17, '通过直播邀请到新用户', 'share_live_new_reflux', 1, 1543107735),
(18, '通过图文邀请到老用户', 'share_article_reflux', 1, 1543107753),
(19, '通过视频邀请到老用户', 'share_vod_reflux', 1, 1543107766),
(20, '通过直播邀请到老用户', 'share_live_reflux', 1, 1543107781),
(21, '兑换小刊', 'dh_journal', 1, 1543634470),
(22, '观看直播', 'submit_watch', 1, 1543746021);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_score_action_log`
--

CREATE TABLE `wonderful_score_action_log` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户名',
  `action_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属行为',
  `score_type` int(11) NOT NULL DEFAULT '1' COMMENT '是否增加积分',
  `score` varchar(30) DEFAULT NULL COMMENT '增加积分数',
  `callback` varchar(800) DEFAULT NULL COMMENT '行为回调方法',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间',
  `num` varchar(30) NOT NULL DEFAULT '0' COMMENT '手动增加积分数',
  `mscore` varchar(30) NOT NULL DEFAULT '0' COMMENT '手动增加积分数'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_score_config`
--

CREATE TABLE `wonderful_score_config` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(32) DEFAULT NULL COMMENT '积分名称',
  `type` int(11) NOT NULL DEFAULT '2' COMMENT '是否主积分-只能有一个主积分，主积分将作为用户主要积分显示在用户信息中',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_score_config`
--

INSERT INTO `wonderful_score_config` (`id`, `name`, `type`, `reorder`, `state`, `cdate`) VALUES
(1, '精美通用积分', 1, 1, 1, 1543106731);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_score_level`
--

CREATE TABLE `wonderful_score_level` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(32) DEFAULT NULL COMMENT '等级名称',
  `score` text COMMENT '积分设置',
  `level` int(11) NOT NULL DEFAULT '1' COMMENT '等级数字-请直接输入等级数字，每次升级按照该数字进行匹配，如果设置为1，则为LV1，不允许重复，用户升级',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_score_level`
--

INSERT INTO `wonderful_score_level` (`id`, `name`, `score`, `level`, `state`, `cdate`) VALUES
(1, '精美小兵', 'W3sib3JkZXIiOiIxIiwiY29uZmlnIjoiMSIsIm51bSI6IjEifV0=', 1, 1, 1543106788),
(2, '精美大咖', 'W3sib3JkZXIiOiIxIiwiY29uZmlnIjoiMSIsIm51bSI6IjMwIn1d', 2, 1, 1543106799),
(3, '精美咖咖', 'W3sib3JkZXIiOiIyIiwiY29uZmlnIjoiMSIsIm51bSI6IjUwIn1d', 3, 1, 1543311115),
(4, 'Jstyle大神', 'W3sib3JkZXIiOiI1IiwiY29uZmlnIjoiMSIsIm51bSI6IjIwMCJ9XQ==', 4, 1, 1543634179);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_score_rule`
--

CREATE TABLE `wonderful_score_rule` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `config_id` int(11) NOT NULL DEFAULT '1' COMMENT '积分名称',
  `action_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属行为',
  `num` varchar(80) DEFAULT NULL COMMENT '增加积分数-如果为负数，则是减少积分',
  `upper` int(11) NOT NULL DEFAULT '1' COMMENT '是否有上限限制',
  `upper_type` int(11) NOT NULL DEFAULT '1' COMMENT '上限限制类型',
  `upper_time` int(11) NOT NULL DEFAULT '12' COMMENT '间隔小时数',
  `upper_limit` int(11) NOT NULL DEFAULT '2' COMMENT '上限限制次数-小于1则不限制',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_score_rule`
--

INSERT INTO `wonderful_score_rule` (`id`, `config_id`, `action_id`, `num`, `upper`, `upper_type`, `upper_time`, `upper_limit`, `state`, `cdate`) VALUES
(1, 1, 1, '1', 2, 1, 12, 3, 2, 1543107531),
(2, 1, 2, '1', 2, 1, 12, 3, 2, 1543107540),
(3, 1, 3, '1', 2, 1, 12, 3, 2, 1543107557),
(4, 1, 11, '5', 2, 3, 12, 1, 1, 1543107583),
(5, 1, 12, '5', 2, 3, 12, 1, 1, 1543107595),
(6, 1, 6, '1', 2, 1, 12, 3, 1, 1543107624),
(7, 1, 5, '1', 2, 1, 12, 3, 1, 1543107633),
(8, 1, 7, '1', 2, 1, 12, 3, 1, 1543107649),
(9, 1, 8, '2', 1, 1, 12, 2, 1, 1543107663),
(10, 1, 21, '20', 1, 1, 12, 2, 1, 1543710990),
(11, 1, 13, '20', 1, 1, 12, 2, 1, 1543711008);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_score_user`
--

CREATE TABLE `wonderful_score_user` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户名',
  `config_id` int(11) NOT NULL DEFAULT '1' COMMENT '积分名称',
  `score` varchar(80) DEFAULT NULL COMMENT '可用数量',
  `no_score` varchar(80) DEFAULT NULL COMMENT '冻结数量',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_score_user_level`
--

CREATE TABLE `wonderful_score_user_level` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户名',
  `level_id` int(11) NOT NULL DEFAULT '1' COMMENT '等级名称',
  `type` int(11) NOT NULL DEFAULT '1' COMMENT '升级方式',
  `info` varchar(300) DEFAULT NULL COMMENT '备注',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_score_user_log`
--

CREATE TABLE `wonderful_score_user_log` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户名',
  `config_id` int(11) NOT NULL DEFAULT '1' COMMENT '积分名称',
  `action_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属行为',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '收入支出状态',
  `num` varchar(80) DEFAULT NULL COMMENT '增加积分数-如果为负数，则是减少积分',
  `total` varchar(80) DEFAULT NULL COMMENT '总积分数',
  `desc` varchar(300) DEFAULT NULL COMMENT '描述',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_sms_config`
--

CREATE TABLE `wonderful_sms_config` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(32) DEFAULT NULL COMMENT '配置名称',
  `key` varchar(32) DEFAULT NULL COMMENT '短信标识-发送短信时，使用该标识来读取短信基本配置',
  `sign` varchar(60) DEFAULT NULL COMMENT '短信签名',
  `sdk` varchar(32) DEFAULT NULL COMMENT '是否调取SDK',
  `appid` varchar(50) DEFAULT NULL COMMENT 'APPID',
  `appsecret` varchar(80) DEFAULT NULL COMMENT 'APPSECRET',
  `url` varchar(300) DEFAULT NULL COMMENT '接口地址',
  `method` varchar(32) DEFAULT NULL COMMENT '请求方式',
  `json` tinyint(1) NOT NULL DEFAULT '2' COMMENT '是否进行JSON编码',
  `header` varchar(500) DEFAULT NULL COMMENT 'HEADER信息-如AUTHORIZATION:APPCODE E7183E44BA8E4CCAA3D690510923D3FA',
  `body` varchar(500) DEFAULT NULL COMMENT 'BODY信息-如PARAM={CODE}&PHONE={MOBILE}&SIGN={SIGN}&SKIN={SKIN}',
  `code_timeout` int(11) NOT NULL DEFAULT '600' COMMENT '验证码有效期-以秒为单位',
  `code_length` int(11) NOT NULL DEFAULT '4' COMMENT '验证码长度',
  `code_type` int(11) NOT NULL DEFAULT '4' COMMENT '验证码类型',
  `code_total` int(11) NOT NULL DEFAULT '10' COMMENT '一天之内的最大发送次数',
  `code_time` int(11) NOT NULL DEFAULT '60' COMMENT '不允许多久之内重复发送-以秒为单位',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_sms_config`
--

INSERT INTO `wonderful_sms_config` (`id`, `name`, `key`, `sign`, `sdk`, `appid`, `appsecret`, `url`, `method`, `json`, `header`, `body`, `code_timeout`, `code_length`, `code_type`, `code_total`, `code_time`, `state`, `cdate`) VALUES
(1, '发送短信', 'sms', 'Jstyle精美', 'url', '', '', 'http://smssh1.253.com/msg/send/json', 'get', 1, '', 'account=N6414704&password=zie9Wpg8ND2d4a&phone={mobile}&msg={skin}', 600, 4, 4, 10, 60, 1, 1543889081);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_sms_info`
--

CREATE TABLE `wonderful_sms_info` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `mobile` varchar(32) DEFAULT NULL COMMENT '手机号',
  `param` text COMMENT '请求记录',
  `result` text COMMENT '发送记录',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '申请时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_sms_skin`
--

CREATE TABLE `wonderful_sms_skin` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `config_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属配置',
  `name` varchar(32) DEFAULT NULL COMMENT '模板名称',
  `key` varchar(32) DEFAULT NULL COMMENT '模板标识',
  `content` varchar(800) DEFAULT NULL COMMENT '模板内容-如果短信接口已提供模板，请在此输入模板ID',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_sms_skin`
--

INSERT INTO `wonderful_sms_skin` (`id`, `config_id`, `name`, `key`, `content`, `state`, `cdate`) VALUES
(1, 1, '购买提醒', 'buy_journal', '【{sign}】购买成功，您获得了{name}的阅读资格！', 1, 1543889221),
(2, 1, '直播提醒', 'note_live', '【{sign}】{name}直播即将开始，马上观看！', 1, 1543889233),
(3, 1, '活动提醒', 'share_journal', '【{sign}】邀请人数已达{num}人，您获得了{name} 的阅读资格！', 1, 1543889249);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_spider_data`
--

CREATE TABLE `wonderful_spider_data` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `wechat_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属公众号',
  `name` varchar(180) DEFAULT NULL COMMENT '标题',
  `copyright` int(11) NOT NULL DEFAULT '1' COMMENT '原创',
  `cover` varchar(150) DEFAULT NULL COMMENT '封面图',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `content` text COMMENT '内容',
  `pdate` int(11) NOT NULL DEFAULT '0' COMMENT '发布时间',
  `audit` int(11) NOT NULL DEFAULT '1' COMMENT '审核状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_spider_wechat`
--

CREATE TABLE `wonderful_spider_wechat` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(100) DEFAULT NULL COMMENT '名称-直接输入公众号名称即可，系统会自动抓取该公众号的前10篇文章，每天抓取一次',
  `wechat` varchar(200) DEFAULT NULL COMMENT '微信号',
  `cate_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属栏目',
  `author_id` int(11) NOT NULL DEFAULT '1' COMMENT '作者',
  `zdate` int(11) NOT NULL DEFAULT '0' COMMENT '下次执行时间',
  `pdate` int(11) NOT NULL DEFAULT '12' COMMENT '抓取时间间隔-每个公众号发布的文章时间不同，请设置抓取时间间隔，单位为小时，尽量保证每次抓取都有新数据，也请不要设置间隔时间太短，抓取太频繁会导致抓取失败',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_tag_cate`
--

CREATE TABLE `wonderful_tag_cate` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(32) DEFAULT NULL COMMENT '分类名称',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_tag_cate`
--

INSERT INTO `wonderful_tag_cate` (`id`, `name`, `reorder`, `state`, `cdate`) VALUES
(1, '默认分类', 1, 1, 1542006421),
(2, '文章', 3, 1, 1542010060),
(3, '视频', 4, 1, 1542447805),
(4, '直播', 5, 1, 1542447816);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_tag_data`
--

CREATE TABLE `wonderful_tag_data` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `tag_id` int(11) NOT NULL DEFAULT '0' COMMENT '标签ID',
  `source_table` varchar(30) DEFAULT NULL COMMENT '来源的表名',
  `source_id` int(11) NOT NULL DEFAULT '0' COMMENT '数据ID',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_tag_info`
--

CREATE TABLE `wonderful_tag_info` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(80) DEFAULT NULL COMMENT '标签名',
  `cate_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属分类',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `wonderful_tag_info`
--

INSERT INTO `wonderful_tag_info` (`id`, `name`, `cate_id`, `reorder`, `state`, `cdate`) VALUES
(1, '娱乐', 3, 1, 1, 1542005780),
(2, '明星', 2, 1, 1, 1542010082),
(3, '聚会', 2, 1, 1, 1542447925),
(4, '精美', 1, 1, 1, 1542447942),
(5, '穿搭', 2, 1, 1, 1542447960),
(6, '时装', 4, 1, 1, 1542447970),
(7, '', 1, 1, 2, 1542459987),
(8, '', 1, 1, 2, 1542515536),
(9, '', 1, 1, 2, 1542516468),
(10, '', 1, 1, 2, 1542516527),
(11, '', 1, 1, 2, 1542683971),
(12, '', 1, 1, 2, 1542694100);

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_video_live`
--

CREATE TABLE `wonderful_video_live` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(80) DEFAULT NULL COMMENT '标题',
  `cate_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属栏目',
  `pic_cover` varchar(150) DEFAULT NULL COMMENT '封面图-4:3比例的图片',
  `stream_id` int(11) NOT NULL DEFAULT '0' COMMENT '直播流选择',
  `sdate` int(11) NOT NULL DEFAULT '0' COMMENT '开始时间',
  `num_add_user` int(11) NOT NULL DEFAULT '0' COMMENT '手动增加在线人数',
  `num_user` int(11) NOT NULL DEFAULT '0' COMMENT '在线人数',
  `num_add_view` int(11) NOT NULL DEFAULT '0' COMMENT '手动增加浏览量PV数',
  `num_view` int(11) NOT NULL DEFAULT '0' COMMENT '浏览量PV',
  `num_up` int(11) NOT NULL DEFAULT '0' COMMENT '喜欢数',
  `num_comment` int(11) NOT NULL DEFAULT '0' COMMENT '评论数',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `admin_founder` int(11) NOT NULL DEFAULT '1' COMMENT '创建人',
  `admin_editor` int(11) NOT NULL DEFAULT '1' COMMENT '操作人',
  `pdate` int(11) NOT NULL DEFAULT '0' COMMENT '发布时间',
  `share` text COMMENT '分享海报-选择海报库中的海报',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `udate` int(11) NOT NULL DEFAULT '0' COMMENT '更新时间',
  `content` text COMMENT '内容',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间',
  `tag` text NOT NULL COMMENT '标签',
  `num_add_up` int(11) NOT NULL DEFAULT '0' COMMENT '喜欢基数',
  `function` varchar(100) NOT NULL DEFAULT '1' COMMENT '功能选择',
  `share_yes` int(11) NOT NULL DEFAULT '1' COMMENT '是否显示分享按钮',
  `share_title` varchar(100) NOT NULL COMMENT '分享标题',
  `share_pic` varchar(150) NOT NULL COMMENT '分享图片',
  `share_content` varchar(200) NOT NULL COMMENT '分享内容',
  `audit` int(11) NOT NULL DEFAULT '1' COMMENT '审核状态',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT '发布状态',
  `edate` int(11) NOT NULL COMMENT '结束时间-选择结束时间，能够得到当前时间段完整的直播回放地址',
  `url_m3u8` varchar(800) NOT NULL COMMENT '直播回放地址',
  `url_mp4` varchar(800) NOT NULL COMMENT '直播回放地址',
  `author_id` int(11) NOT NULL DEFAULT '1' COMMENT '作者',
  `pic_cover_169` varchar(150) NOT NULL COMMENT '16:9封面图-请上传16:9比例的封面图'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `wonderful_video_vod`
--

CREATE TABLE `wonderful_video_vod` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(80) DEFAULT NULL COMMENT '标题',
  `link` varchar(800) DEFAULT NULL COMMENT '点播地址',
  `video` varchar(800) DEFAULT NULL COMMENT '上传视频',
  `cate_id` int(11) NOT NULL DEFAULT '1' COMMENT '所属栏目',
  `author_id` int(11) NOT NULL DEFAULT '1' COMMENT '作者',
  `pic_cover` varchar(150) DEFAULT NULL COMMENT '封面图-4:3比例的图片',
  `num_add_view` int(11) NOT NULL DEFAULT '0' COMMENT '手动增加浏览量PV数',
  `num_view` int(11) NOT NULL DEFAULT '0' COMMENT '浏览量PV',
  `num_up` int(11) NOT NULL DEFAULT '0' COMMENT '喜欢数',
  `num_comment` int(11) NOT NULL DEFAULT '0' COMMENT '评论数',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态',
  `admin_founder` int(11) NOT NULL DEFAULT '1' COMMENT '创建人',
  `admin_editor` int(11) NOT NULL DEFAULT '1' COMMENT '操作人',
  `pdate` int(11) NOT NULL DEFAULT '0' COMMENT '发布时间',
  `share` text COMMENT '分享海报-选择海报库中的海报',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序(数值越大越靠前)',
  `udate` int(11) NOT NULL DEFAULT '0' COMMENT '更新时间',
  `content` text COMMENT '内容',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间',
  `tag` text NOT NULL COMMENT '标签',
  `num_add_up` int(11) NOT NULL DEFAULT '0' COMMENT '喜欢基数',
  `function` varchar(100) NOT NULL DEFAULT '1' COMMENT '功能选择',
  `share_yes` int(11) NOT NULL DEFAULT '1' COMMENT '是否显示分享按钮',
  `share_title` varchar(100) NOT NULL COMMENT '分享标题',
  `share_pic` varchar(150) NOT NULL COMMENT '分享图片',
  `share_content` varchar(200) NOT NULL COMMENT '分享内容',
  `audit` int(11) NOT NULL DEFAULT '1' COMMENT '审核状态',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT '发布状态',
  `pic_cover_169` varchar(150) NOT NULL COMMENT '16:9封面图-请上传16:9比例的封面图'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转储表的索引
--

--
-- 表的索引 `wonderful_act_comment`
--
ALTER TABLE `wonderful_act_comment`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_act_invite`
--
ALTER TABLE `wonderful_act_invite`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_act_like`
--
ALTER TABLE `wonderful_act_like`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_act_live_comment`
--
ALTER TABLE `wonderful_act_live_comment`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_act_live_note`
--
ALTER TABLE `wonderful_act_live_note`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_act_score`
--
ALTER TABLE `wonderful_act_score`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_act_share`
--
ALTER TABLE `wonderful_act_share`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_act_share_reflux`
--
ALTER TABLE `wonderful_act_share_reflux`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_act_subscribe`
--
ALTER TABLE `wonderful_act_subscribe`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_act_watch`
--
ALTER TABLE `wonderful_act_watch`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_audit_data`
--
ALTER TABLE `wonderful_audit_data`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_code_config`
--
ALTER TABLE `wonderful_code_config`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_code_info`
--
ALTER TABLE `wonderful_code_info`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_content_article`
--
ALTER TABLE `wonderful_content_article`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_content_author`
--
ALTER TABLE `wonderful_content_author`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_content_cate`
--
ALTER TABLE `wonderful_content_cate`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_journal_active`
--
ALTER TABLE `wonderful_journal_active`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_journal_buy`
--
ALTER TABLE `wonderful_journal_buy`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_journal_buy_num`
--
ALTER TABLE `wonderful_journal_buy_num`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_journal_cate`
--
ALTER TABLE `wonderful_journal_cate`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_journal_content`
--
ALTER TABLE `wonderful_journal_content`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_journal_content_text`
--
ALTER TABLE `wonderful_journal_content_text`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_journal_info`
--
ALTER TABLE `wonderful_journal_info`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_journal_order`
--
ALTER TABLE `wonderful_journal_order`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_live_active`
--
ALTER TABLE `wonderful_live_active`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_live_info`
--
ALTER TABLE `wonderful_live_info`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_live_stream`
--
ALTER TABLE `wonderful_live_stream`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_live_stream_ios_log`
--
ALTER TABLE `wonderful_live_stream_ios_log`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_live_stream_log`
--
ALTER TABLE `wonderful_live_stream_log`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_main_config`
--
ALTER TABLE `wonderful_main_config`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_manage_admin`
--
ALTER TABLE `wonderful_manage_admin`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_manage_admin_role`
--
ALTER TABLE `wonderful_manage_admin_role`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_manage_auth`
--
ALTER TABLE `wonderful_manage_auth`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_manage_config`
--
ALTER TABLE `wonderful_manage_config`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_manage_cron`
--
ALTER TABLE `wonderful_manage_cron`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_manage_group`
--
ALTER TABLE `wonderful_manage_group`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_manage_log`
--
ALTER TABLE `wonderful_manage_log`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_manage_menu`
--
ALTER TABLE `wonderful_manage_menu`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_manage_notice`
--
ALTER TABLE `wonderful_manage_notice`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_manage_opt`
--
ALTER TABLE `wonderful_manage_opt`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_manage_role`
--
ALTER TABLE `wonderful_manage_role`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_manage_top`
--
ALTER TABLE `wonderful_manage_top`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_message_inbox`
--
ALTER TABLE `wonderful_message_inbox`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_message_outbox`
--
ALTER TABLE `wonderful_message_outbox`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_message_type`
--
ALTER TABLE `wonderful_message_type`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_oauth_account`
--
ALTER TABLE `wonderful_oauth_account`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_passport_app`
--
ALTER TABLE `wonderful_passport_app`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_passport_code`
--
ALTER TABLE `wonderful_passport_code`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_passport_user`
--
ALTER TABLE `wonderful_passport_user`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_passport_wechat`
--
ALTER TABLE `wonderful_passport_wechat`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_poster_model`
--
ALTER TABLE `wonderful_poster_model`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_poster_template`
--
ALTER TABLE `wonderful_poster_template`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_push_data`
--
ALTER TABLE `wonderful_push_data`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_push_info`
--
ALTER TABLE `wonderful_push_info`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_score_action`
--
ALTER TABLE `wonderful_score_action`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_score_action_log`
--
ALTER TABLE `wonderful_score_action_log`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_score_config`
--
ALTER TABLE `wonderful_score_config`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_score_level`
--
ALTER TABLE `wonderful_score_level`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_score_rule`
--
ALTER TABLE `wonderful_score_rule`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_score_user`
--
ALTER TABLE `wonderful_score_user`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_score_user_level`
--
ALTER TABLE `wonderful_score_user_level`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_score_user_log`
--
ALTER TABLE `wonderful_score_user_log`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_sms_config`
--
ALTER TABLE `wonderful_sms_config`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_sms_info`
--
ALTER TABLE `wonderful_sms_info`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_sms_skin`
--
ALTER TABLE `wonderful_sms_skin`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_spider_data`
--
ALTER TABLE `wonderful_spider_data`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_spider_wechat`
--
ALTER TABLE `wonderful_spider_wechat`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_tag_cate`
--
ALTER TABLE `wonderful_tag_cate`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_tag_data`
--
ALTER TABLE `wonderful_tag_data`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_tag_info`
--
ALTER TABLE `wonderful_tag_info`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_video_live`
--
ALTER TABLE `wonderful_video_live`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `wonderful_video_vod`
--
ALTER TABLE `wonderful_video_vod`
  ADD PRIMARY KEY (`id`);

--
-- 在导出的表使用AUTO_INCREMENT
--

--
-- 使用表AUTO_INCREMENT `wonderful_act_comment`
--
ALTER TABLE `wonderful_act_comment`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_act_invite`
--
ALTER TABLE `wonderful_act_invite`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_act_like`
--
ALTER TABLE `wonderful_act_like`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_act_live_comment`
--
ALTER TABLE `wonderful_act_live_comment`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_act_live_note`
--
ALTER TABLE `wonderful_act_live_note`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_act_score`
--
ALTER TABLE `wonderful_act_score`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_act_share`
--
ALTER TABLE `wonderful_act_share`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_act_share_reflux`
--
ALTER TABLE `wonderful_act_share_reflux`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_act_subscribe`
--
ALTER TABLE `wonderful_act_subscribe`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_act_watch`
--
ALTER TABLE `wonderful_act_watch`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_audit_data`
--
ALTER TABLE `wonderful_audit_data`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_code_config`
--
ALTER TABLE `wonderful_code_config`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '系统ID';

--
-- 使用表AUTO_INCREMENT `wonderful_code_info`
--
ALTER TABLE `wonderful_code_info`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_content_article`
--
ALTER TABLE `wonderful_content_article`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_content_author`
--
ALTER TABLE `wonderful_content_author`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_content_cate`
--
ALTER TABLE `wonderful_content_cate`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=9;

--
-- 使用表AUTO_INCREMENT `wonderful_journal_active`
--
ALTER TABLE `wonderful_journal_active`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_journal_buy`
--
ALTER TABLE `wonderful_journal_buy`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_journal_buy_num`
--
ALTER TABLE `wonderful_journal_buy_num`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_journal_cate`
--
ALTER TABLE `wonderful_journal_cate`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=2;

--
-- 使用表AUTO_INCREMENT `wonderful_journal_content`
--
ALTER TABLE `wonderful_journal_content`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_journal_content_text`
--
ALTER TABLE `wonderful_journal_content_text`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_journal_info`
--
ALTER TABLE `wonderful_journal_info`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_journal_order`
--
ALTER TABLE `wonderful_journal_order`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_live_active`
--
ALTER TABLE `wonderful_live_active`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_live_info`
--
ALTER TABLE `wonderful_live_info`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=2;

--
-- 使用表AUTO_INCREMENT `wonderful_live_stream`
--
ALTER TABLE `wonderful_live_stream`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_live_stream_ios_log`
--
ALTER TABLE `wonderful_live_stream_ios_log`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_live_stream_log`
--
ALTER TABLE `wonderful_live_stream_log`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_main_config`
--
ALTER TABLE `wonderful_main_config`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '系统ID', AUTO_INCREMENT=2;

--
-- 使用表AUTO_INCREMENT `wonderful_manage_admin`
--
ALTER TABLE `wonderful_manage_admin`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '管理员ID', AUTO_INCREMENT=3;

--
-- 使用表AUTO_INCREMENT `wonderful_manage_admin_role`
--
ALTER TABLE `wonderful_manage_admin_role`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_manage_auth`
--
ALTER TABLE `wonderful_manage_auth`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_manage_config`
--
ALTER TABLE `wonderful_manage_config`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '配置ID', AUTO_INCREMENT=2;

--
-- 使用表AUTO_INCREMENT `wonderful_manage_cron`
--
ALTER TABLE `wonderful_manage_cron`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=4;

--
-- 使用表AUTO_INCREMENT `wonderful_manage_group`
--
ALTER TABLE `wonderful_manage_group`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '组ID', AUTO_INCREMENT=9;

--
-- 使用表AUTO_INCREMENT `wonderful_manage_log`
--
ALTER TABLE `wonderful_manage_log`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_manage_menu`
--
ALTER TABLE `wonderful_manage_menu`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '菜单ID', AUTO_INCREMENT=72;

--
-- 使用表AUTO_INCREMENT `wonderful_manage_notice`
--
ALTER TABLE `wonderful_manage_notice`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '公告ID';

--
-- 使用表AUTO_INCREMENT `wonderful_manage_opt`
--
ALTER TABLE `wonderful_manage_opt`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_manage_role`
--
ALTER TABLE `wonderful_manage_role`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '角色ID', AUTO_INCREMENT=6;

--
-- 使用表AUTO_INCREMENT `wonderful_manage_top`
--
ALTER TABLE `wonderful_manage_top`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_message_inbox`
--
ALTER TABLE `wonderful_message_inbox`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_message_outbox`
--
ALTER TABLE `wonderful_message_outbox`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_message_type`
--
ALTER TABLE `wonderful_message_type`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=12;

--
-- 使用表AUTO_INCREMENT `wonderful_oauth_account`
--
ALTER TABLE `wonderful_oauth_account`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=2;

--
-- 使用表AUTO_INCREMENT `wonderful_passport_app`
--
ALTER TABLE `wonderful_passport_app`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_passport_code`
--
ALTER TABLE `wonderful_passport_code`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_passport_user`
--
ALTER TABLE `wonderful_passport_user`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '用户ID';

--
-- 使用表AUTO_INCREMENT `wonderful_passport_wechat`
--
ALTER TABLE `wonderful_passport_wechat`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_poster_model`
--
ALTER TABLE `wonderful_poster_model`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=5;

--
-- 使用表AUTO_INCREMENT `wonderful_poster_template`
--
ALTER TABLE `wonderful_poster_template`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=2;

--
-- 使用表AUTO_INCREMENT `wonderful_push_data`
--
ALTER TABLE `wonderful_push_data`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_push_info`
--
ALTER TABLE `wonderful_push_info`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '推送位ID', AUTO_INCREMENT=8;

--
-- 使用表AUTO_INCREMENT `wonderful_score_action`
--
ALTER TABLE `wonderful_score_action`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=23;

--
-- 使用表AUTO_INCREMENT `wonderful_score_action_log`
--
ALTER TABLE `wonderful_score_action_log`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_score_config`
--
ALTER TABLE `wonderful_score_config`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=2;

--
-- 使用表AUTO_INCREMENT `wonderful_score_level`
--
ALTER TABLE `wonderful_score_level`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=5;

--
-- 使用表AUTO_INCREMENT `wonderful_score_rule`
--
ALTER TABLE `wonderful_score_rule`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=12;

--
-- 使用表AUTO_INCREMENT `wonderful_score_user`
--
ALTER TABLE `wonderful_score_user`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_score_user_level`
--
ALTER TABLE `wonderful_score_user_level`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_score_user_log`
--
ALTER TABLE `wonderful_score_user_log`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_sms_config`
--
ALTER TABLE `wonderful_sms_config`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=2;

--
-- 使用表AUTO_INCREMENT `wonderful_sms_info`
--
ALTER TABLE `wonderful_sms_info`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_sms_skin`
--
ALTER TABLE `wonderful_sms_skin`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=4;

--
-- 使用表AUTO_INCREMENT `wonderful_spider_data`
--
ALTER TABLE `wonderful_spider_data`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_spider_wechat`
--
ALTER TABLE `wonderful_spider_wechat`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_tag_cate`
--
ALTER TABLE `wonderful_tag_cate`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=5;

--
-- 使用表AUTO_INCREMENT `wonderful_tag_data`
--
ALTER TABLE `wonderful_tag_data`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_tag_info`
--
ALTER TABLE `wonderful_tag_info`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=13;

--
-- 使用表AUTO_INCREMENT `wonderful_video_live`
--
ALTER TABLE `wonderful_video_live`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';

--
-- 使用表AUTO_INCREMENT `wonderful_video_vod`
--
ALTER TABLE `wonderful_video_vod`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID';
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
