<?php

return array
(
	# 表名
	'name' => 'data',
	# 显示给用户看的名称
	'lang' => '标签数据关联表',
	# 后台菜单排序
	'order' => 9,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
		),
		
		'tag_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '标签id',
			'default' 	=> '',
			'desc' 		=> '标签id',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),
		
		'source_table'		=> array
		(
			'type' 		=> 'varchar-30',
			'name' 		=> '来源的表名',
			'default' 	=> '',
			'desc' 		=> '来源的表名',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'source_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '数据id',
			'default' 	=> '',
			'desc' 		=> '标签id',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'request' => array
	(
		
	),
);
