<?php
$config['base'] = array
(
	'name' => '精美时尚',
	'version' => '1.0.0 Beta',

	# 后台头部菜单
	'top' => 'passport/system_id',

	# 功能选择
	'function' => array
	(
		1 => '浏览量',
		2 => '评论',
		3 => '喜欢',
		//4 => '邀请阅读',
	),

	# 小程序首页
	'applet_index' => 'pages/choice/index/index',

	# 功能类型 5小刊留言视频 6小刊留言音频
	'type' => array
	(
		1 => '图文',
		2 => '视频',
		3 => '直播',
		4 => '小刊',
		//5 => '小刊音视频留言',
		6 => '专题',
		7 => '小程序',
		//8 => '商品',
		//11 => '评论',
		//12 => '直播评论',
		13 => '小刊活动页',
	),

	# 功能类型
	'type_table' => array
	(
		1 => 'content/article',
		2 => 'video/vod',
		3 => 'video/live',
		4 => 'journal/info',
		5 => 'journal/content',
		6 => 'feature/info',
		7 => 'content/applet',
		//8 => 'shop/product',
		11 => 'act/comment',
		12 => 'act/live_comment',
		13 => 'journal/active',
	),

	'audit' => array
	(
		1 => '未审核',
		2 => '已审核',
		3 => '审核未通过',
	),

	# 上线状态
	'status' => array
	(
		1 => '下架',
		2 => '上线发布',
	),

	# 产品表设置 主要给survey使用
	'product' => 'service/product',

	'applet' => array
	(
		'project' => 'passport/system',
		'appid' => 'wxd0590664d0004f23',
        'secret' => '009bf48ffd5a3ceecb6a933492d641d2',
		'url' => 'https://api.weixin.qq.com/sns/jscode2session',
	),

	# 站点使用邮箱还是手机作为主账号，如果是手机，请填写手机验证码的配置接口
	'account' => 'mobile',
	# 性别转换 passport里1为男、2为女 3为未知，如果前端定义与这个不同，请做好转换
	'sex' => array
	(
		# 前面的索引为前端传过来的值
		2 => 2,
		1 => 1,
		3 => 3,
	),
	'mobileCode' => array
	(
		# debug模式
		'debug' => true,
		# 发送短信的接口
		'url' => 'https://feginesms.market.alicloudapi.com/codeNotice',
		# 发送方法 get、post
		'method' => 'get',
		# 是否json编码
		'json' => false,
		# header信息
		'header' => 'Authorization:APPCODE ca584ae21ce54c999067e77b5995a27b',
		# body信息
		'body' => 'param={code}&phone={mobile}&sign={sign}&skin={skin}',
		# 短信模板 发送短信时，请加上参数skin=1
		'skin' => array
		(
			'reg' => 35247,
			'order' => 35246,
			'code' => 35245,
			# 需要增加一个notice
			'notice' => 38099,
			# order的反馈方案修改后
			'feedback' => 38747,
		),
		# 短信签名
		'sign' => 47159,
		# 验证码有效期 默认10分钟
		'timeout' => 600,
		# 一天之内的最大发送次数，默认为10次
		'total' => 10,
		# 不允许多久之内重复发送，默认为60秒
		'time' => 60,
		# 验证码长度
		'length' => 6,
	),
	# 注册成功后，调取的接口
	'regAction' => '',

	# 注册成功后，是否发送短信，直接使用skin的key即可
	//'regSendSms' => 'reg',

	# 支付成功后，调用的接口
	'pay_notify' => 'service/lib/pay.act',
);


# 前台通用配置
$config['template'] = array
(
    # 静态页面目录
    'assets' => 'mobile',

    # 模板编译器目录
    'template' => 'mobile',

    # 模板html文件的所在目录，默认为html
    'path' => '',

    'replace' => array
    (
        'css' => 'css/',
        'js' => 'js/',
        'images' => 'images/',
    ),

    # 编译器与模板对应关系目录，定义之后，代表可以完全不改动前端的代码，可以为空，为空则一一对应，参考manage
    'relation' => array
    (
        # 首页启动屏幕
        'home' => 'index',
        'page' => 'rule',
    ),
    
);
return $config;