<?php

$type = array
(
	1 => '链接',
	2 => '文章',
	3 => '视频',
	4 => '直播',
	5 => '杂志',
);

return array
(
	# 表名
	'name' => 'focus',
	# 显示给用户看的名称
	'lang' => '焦点图管理-废弃',
	# 后台菜单排序
	'order' => 9,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
			'order'		=> 'desc',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '名称',
			'default' 	=> '',
			'desc' 		=> '请输入名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			/*
			'key'		=> 1,
			'media'		=> 5,
			*/
		),

		'type'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '类型',
			'default' 	=> '1',
			'desc' 		=> '请选择类型',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $type,
		),

		'link'		=> array
		(
			'type' 		=> 'varchar-400',
			'name' 		=> '链接或者内容id',
			'default' 	=> '',
			'desc' 		=> '请输入链接',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			//'list'		=> true,
			//'searchbox' => array('ku/lib/manage.search_product?json=1', 'id', 'ku/lib/manage.search_product_by_ids', 'type'),
		),

		'pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '图片-图片大小：000px*000px',
			'default' 	=> '',
			'desc' 		=> '请选择图片',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),
		
		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'cdate' => 'desc'),
			'col' => '*',
		),
	),
);
