<?php

$config = function()
{
    $array = array();
    $info = Dever::db('score/config')->state();
    if($info)
    {
        $array += $info;
    }
    return $array;
};

return array
(
    # 表名
    'name' => 'level',
    # 显示给用户看的名称
    'lang' => '积分等级设置',
    # 后台菜单排序
    'order' => 8,
    'check' => 'level',
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'      => true,
            //'order'     => 'desc',
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-32',
            'name'      => '等级名称',
            'default'   => '',
            'desc'      => '请输入名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),
        
        'score'       => array
        (
            'type'      => 'text-1000',
            'name'      => '积分设置',
            'default'   => '',
            'desc'      => '积分设置',
            'match'     => 'is_string',
            'update'    => array
            (
                array
                (
                    'col'       => 'config',
                    'name'      => '积分名称',
                    'default'   => '',
                    'desc'      => '积分名称',
                    'match'     => 'is_string',
                    'update'    => 'select',
                    'option'    => $config,
                ),

                array
                (
                    'col'       => 'num',
                    'name'      => '所需积分数',
                    'default'   => '0',
                    'desc'      => '所需积分数',
                    'match'     => 'is_string',
                    'update'    => 'text',
                ),
            ),
        ),

        'level'       => array
        (
            'type'      => 'int-11',
            'name'      => '等级数字-请直接输入等级数字，每次升级按照该数字进行匹配，如果设置为1，则为lv1，不允许重复，用户升级',
            'default'   => '1',
            'desc'      => '等级数字',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (

    ),

    'request' => array
    (
        
    ),
);
