<?php

$config = function()
{
	$array = array();
	$info = Dever::db('score/config')->state();
	if($info)
	{
		$array += $info;
	}
	return $array;
};

$action = function()
{
	$array = array();
	$info = Dever::db('score/action')->state();
	if($info)
	{
		$array += $info;
	}
	return $array;
};

$upper = array
(
	1 => '无上限',
	2 => '有上限',
);

$upper_type = array
(
	1 => '按自然天-每天0点重置',
	2 => '按小时',
	3 => '永久',
);

return array
(
	# 表名
	'name' => 'rule',
	# 显示给用户看的名称
	'lang' => '积分规则设置',
	'order' => 10,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'config_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '积分名称',
			'default' 	=> '1',
			'desc' 		=> '积分名称',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $config,
			'search'	=> 'select',
			'list'		=> true,
		),

		'action_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属行为',
			'default' 	=> '1',
			'desc' 		=> '所属行为',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $action,
			'search'	=> 'select',
			'list'		=> true,
		),

		'num'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '增加积分数-如果为负数，则是减少积分',
			'default' 	=> '',
			'desc' 		=> '增加积分数',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'list'		=> true,
		),

		'upper'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '是否有上限限制',
			'default' 	=> '1',
			'desc' 		=> '是否有上限限制',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $upper,
			'search'	=> 'select',
			'control'	=> 'upper',
		),

		'upper_type'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '上限限制类型',
			'default' 	=> '1',
			'desc' 		=> '上限限制类型',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $upper_type,
			'show'		=> 'upper=2',
			'control'	=> 'upper_type',
		),

		'upper_time'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '间隔小时数',
			'default' 	=> '12',
			'desc' 		=> '间隔小时数',
			'match' 	=> 'option',
			'update'	=> 'text',
			'show'		=> 'upper_type=2'
		),

		'upper_limit'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '上限限制次数-小于1则不限制',
			'default' 	=> '2',
			'desc' 		=> '上限限制次数',
			'match' 	=> 'option',
			'update'	=> 'text',
			'show'		=> 'upper=2'
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'manage' => array
	(
		
	),
);
